%% Clear Workspace
clear all;
close all;
clc;

%% Load Parameters & Functions
addpath('../MATLAB Model');
delegate;

%% Define Experiments
files = {'20161017b', '20161027b', '20161018b', '20161020b', '20161101b', '20161027b2'};
e     = f_e17();

%% Load Data
d = f_loadDataFromFiles(files);
densityCorrection;

%% Calculate Data Table
t = f_getDataTable(e, d);

%% Make Plots
iiE   =4;
%% Visualize Data Table
f_experimentOverviewPlots(e, t);

%% Predict Effect Next Turbine Only
f_predictEffectNextTurbine(e{iiE}, t{iiE});
%% Compare Experiment With Models
f_compareDataWithModels(e{iiE}, t{iiE});
%% Plot Data Experiment iiE
f_plotAnalysis(e{iiE}, d, 13:-1:10);

%% Plot Wake Data Experiment iiE
f_plotWakeAnalysis(e, t);