clear all;

TI1 = [0.0821 0.0701 0.0963 0.0895 0.1040];
TI2 = [0.1174 0.0818 0.1008 0.0699 0.1158];

dP1 = [1662 1486 544 1186 1401];
dP2 = [1699 1235 361 540  955];

cB1  = linspace(-1, 1,1001);
cB2  = linspace(-.01, .01,100)*0;
errs = zeros(length(cB1), 1);

for ii1=1:length(cB1)
    dP2Bc = dP1.^cB1(ii1) ./ (TI1).^-2;

    r = (dP2Bc - dP2);

    errs(ii1) = mean(r);
end
%%
plot(cB1, errs);
grid on;
%%
[ii1] = find(errs==min(abs(errs(errs>0))));
dP2B  = dP1.^cB1(ii1) ./ (TI1).^-2;

figure;
hold on;
plot(dP2);
plot(dP2B);
err = (dP2B - dP2)./dP2;
