iiEs = [3 2 8 5];
%% Compare Data Wind Speed
tags = {'a', 'b', 'c', 'd'};
figure(1);
for ii = 1:length(iiEs)
    iiE = iiEs(ii);
    
    V0 = f_P2U(t{iiE}.powerNormal(1), 1);
    dP = t{iiE}.powerNormal(1) - t{iiE}.powerCur(1);
    subplot(length(iiEs), 1, ii);
    h = bar([f_P2U(t{iiE}.powerNormal(1:5), 1); f_P2U(t{iiE}.powerEstimated(1:5), 1);]'/V0);
    set(h(1), 'FaceColor', tudcolor)
    set(h(2), 'FaceColor', tudcolor(4))
    grid on;
    ylim([0 1.1]);
    title(['(' tags{ii} ') V_0 ' num2str(round(V0*10)/10) 'm/s  TI ' num2str(round(t{iiE}.tiNormal(1)*1000)/10) '%  \DeltaP ' num2str(round(dP/100)*100) 'kW (' num2str(round(dP/t{iiE}.powerEstimated(1)*10)*10) '%)']);
end
xlabel('Turbine [#]');
ylabel('Relative Wind Speed [-]');
legend('Default', 'Curtailed', 'Location', 'South');
%% Compare Data Power
figure(1);
for ii = 1:length(iiEs)
    iiE = iiEs(ii);
    
    V0 = f_P2U(t{iiE}.powerNormal(1), 1);
    P0 = t{iiE}.powerNormal(1);
    dP = t{iiE}.powerNormal(1) - t{iiE}.powerCur(1);
    subplot(length(iiEs), 1, ii);
    h = bar([t{iiE}.powerNormal(1:5); t{iiE}.powerCur(1:5); abs(t{iiE}.powerNormal(1:5) - t{iiE}.powerCur(1:5))]'/P0);
    set(h(1), 'FaceColor', tudcolor)
    set(h(2), 'FaceColor', tudcolor(4))
    set(h(3), 'FaceColor', tudcolor(3))
    grid on;
    ylim([0 1]);
    title(['(' num2str(ii) ') V_0 ' num2str(round(V0*10)/10) 'm/s  TI ' num2str(round(t{iiE}.tiNormal(1)*1000)/10) '%  \DeltaP_c ' num2str(round(dP/100)*100) 'kW (' num2str(round(dP/t{iiE}.powerNormal(1)*10)*10) '%)']);
ylabel('Relative Power [-]');
end
xlabel('Turbine [#]');
subplot(4,1,1);
legend('Normal', 'Curtailed', 'Difference', 'Location', 'NorthEast', 'Orientation', 'Horizontal');

%% Compare Data Power Paper Abstract
f = figure(1); clf;
iiE = iiEs(3);
    
V0 = f_P2U(t{iiE}.powerNormal(1), 1);
P0 = t{iiE}.powerNormal(1);
dP = t{iiE}.powerNormal(1) - t{iiE}.powerCur(1);
h = bar([ [0 PJmeansModels]' [nan PLmeansModels]' t{iiE}.powerNormal(1:5)' t{iiE}.powerCur(1:5)']);
set(h(1), 'FaceColor', tudcolor(3))
set(h(2), 'FaceColor', tudcolor(2))
set(h(3), 'FaceColor', tudcolor(1))
set(h(4), 'FaceColor', tudcolor(4))
set(h(1), 'XData', [1 2 3 4 5]);
set(h(2), 'XData', [1 2 3 4 5]);
set(h(3), 'XData', [1 2 3 4 5]);
set(h(4), 'XData', [1 2 3 4 5]);
set(gca, 'XTick', [1.185 2:5]);
set(gca, 'YTick', 0:500:3000);
set(gca, 'XTickLabels', {'1', '2', '3', '4', '5'});
grid on;
xlim([.7 5.5]);
%title(['(' num2str(ii) ') V_0 ' num2str(round(V0*10)/10) 'm/s  TI ' num2str(round(t{iiE}.tiNormal(1)*1000)/10) '%  \DeltaP_c ' num2str(round(dP/100)*100) 'kW (' num2str(round(dP/t{iiE}.powerNormal(1)*10)*10) '%)']);
ylabel('Power Production [kW]');
xlabel('Turbine [#]');
legend(h([3 4 1 2]),  'Normal Operation Data', 'Curtailed Operation Data', 'Jensen Based Model', 'Larsen Based Model', 'Location', 'NorthEast');
f.Position = [-724 264 560 200];
set(gca,'fontsize',14)
set(gca, 'Fontname', 'Times New Roman');
%% Compare Models
figure(2);

nT = 5;
x0 = 520; %m
x = x0 * ((1:nT)-1);
c = ones(1, nT);

for ii = 1:length(iiEs)
    iiE = iiEs(ii);
    
    V0 = f_P2U(t{iiE}.powerNormal(1), 1);
    
    uLarsen = V0 * f_LarsenMultiple(x, SWP_H, SWP_R, c, V0, t{iiE}.tiCur);
    uJensen = V0 * f_JensenMultiple(x, SWP_R, c, V0, t{iiE}.tiCur);
    
    uLarsenCur = V0 * f_LarsenMultiple(x, SWP_H, SWP_R, t{iiE}.cConfig(1:5), V0, t{iiE}.tiCur);
    uJensenCur = V0 * f_JensenMultiple(x, SWP_R, t{iiE}.cConfig(1:5), V0, t{iiE}.tiCur);
    
    subplot(length(iiEs), 2, ii*2-1);
    bar([f_P2U(t{iiE}.powerNormal(1:5), 1); uLarsen; uJensen;]');
    grid on;
    ylim([0 12]);
    subplot(length(iiEs), 2, ii*2);
    bar([f_P2U(t{iiE}.powerCur(1:5), 1); uLarsenCur; uJensenCur;]');
    grid on;
    ylim([0 12]);
end

legend('Data Default', 'Larsen Default', 'Jensen Default', 'Data Curtailed', 'Larsen Curtailed', 'Jensen Curtailed');

