%% Load Temperature
filename = 'temperature.csv';
delimiter = ',';
startRow = 11;
formatSpec = '%*s%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'EmptyValue' ,NaN,'HeaderLines' ,startRow-1, 'ReturnOnError', false);
fclose(fileID);
temperature = dataArray{:, 1};
clearvars filename delimiter startRow formatSpec fileID dataArray ans;

%% Load Pressure
filename = 'pressure.txt';
delimiter = ',';
startRow = 14;
formatSpec = '%*s%*s%*s%s%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
fclose(fileID);
pressure = str2double(dataArray{:, 1});
clearvars filename delimiter startRow formatSpec fileID dataArray ans;

%% Load Humidity
filename = 'humidity.txt';
delimiter = ',';
startRow = 14;
formatSpec = '%*s%*s%*s%s%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
fclose(fileID);
humidity = str2double(dataArray{:, 1})/100;
clearvars filename delimiter startRow formatSpec fileID dataArray ans;


%% Calculation Corrrection
corr = temperature * 0;
for iiTemp = 1:length(temperature)
    iiPres = ceil(iiTemp/6);
    
    P = pressure(iiPres) * 10;
    T = temperature(iiTemp)+273.15;
    Pw = 0.0000205*exp(0.0631846*T);
    R0 = 287.058;
    Rw = 461.5;
    rho = 1/T * (P / R0 - humidity(iiPres)*Pw*(1/R0-1/Rw));
    corr(iiTemp) = (rho/1.225)^(1/3);
end
toffset=0;
toffset=1427168;
d.rhoCorrection = corr(ceil((d.t-d.t(1)+toffset)/600)+1);
plot(d.rhoCorrection);