%% Clear Workspace
clear all;
close all;
clc;

%%
addpath('../MATLAB Model');
delegate;
colors = lines(2);

%% Import Data
% files = {'20160905b', '20160906b', '20160907b', '20160908b', '20160909b', '20160910b'};
files = {'20161020b'};
d  = f_loadDataFromFiles(files);

%% Calculate Loss
turbs = 32;
tspan = 38642:38932;

t = d.t(tspan) - min(d.t(tspan));
figure(1); clf;
hold on;
area(t, d.APE(turbs,tspan)', 'FaceColor', colors(1,:));
area(t, d.P(turbs,tspan)', 'FaceColor', colors(2,:));
legend('APE', 'P', 'Location', 'North');
axis tight;
grid on;

E_APE       = trapz(d.APE(turbs,tspan))/1000;
E_P         = trapz(d.P(turbs,tspan))/1000;
E_curtailed = E_APE - E_P;

clc;
disp(['E (APE)   ' num2str(round(E_APE)) ' MJ']);
disp(['E (P)     ' num2str(round(E_P)) ' MJ']);
disp(['Curtailed ' num2str(round(E_curtailed)) ' MJ']);