function [ a ] = f_LarsenMultipleTimeSeries(x, H, R0, c, V0, TI, modelType )
    if(nargin < 7)
        modelType = 'calibrated';
    end
    nT = length(x);
    a  = ones(nT, length(V0));

    for iT = 1:nT
        u = V0 .* a(iT, :);
        CT = f_CT(u, c(iT, :));
        for iiT = (iT + 1):nT
            aNew   = f_Larsen(x(iiT) - x(iT), H, R0, CT, TI(iT), modelType)';
            a(iiT, :) = f_mergeWake(a(iiT, :), aNew);
        end
    end
end

