function f_compareDataWithJensens( e, t )
    %% Data
%     figure(4);
%     bar([-t.curtailedEnergy t.gainedEnergy]);
%     grid on;
%     xlabel('Turbines [#]');
%     ylabel('Energy [kWh]');
    
    %% Input
    
    turbs = [e.turbineCur e.turbineRef];
    d0 = 520; %m
    nT = length(turbs);
    d = d0 * ((1:nT)-1);
    c = [t.cConfig(1) ones(1,nT-1)];
    
    
    corrF_TIcur = 1;
    corrF_TInormal = 1;
    delegate;
    TIcur    = t.tiCur .* corrF_TIcur;
    TInormal = t.tiNormal .* corrF_TInormal;
    V0 = f_P2U(t.normallyProducedEnergy(1)/t.duration, 1);
    
    TIcur(:) = TIcur(1);

    % compare TIs
    %figure(9);
    %bar(([TInormal' TIcur'])*100, 'grouped');
    %legend('TI Default', 'TI Curtailed');
    
    %% Jensen
    aCurJ = f_JensenMultiple(d, SWP_R, c, V0, TIcur);
    uCurJ = aCurJ * V0;
    
    corrJ = f_P2U(t.producedEnergy/t.duration./c, 1) ./ uCurJ;
    corrJ = 1;
    uCurJ = uCurJ .* corrJ;
    PCurJ = f_U2P(uCurJ, mean(t.rhoCur)) .* c;
    
    aNormalJ = f_JensenMultiple(d, SWP_R, ones(1,nT), V0, TIcur);
    uNormalJ = aNormalJ * V0 .* corrJ;
    PNormalJ = f_U2P(uNormalJ, mean(t.rhoNormal));
    
    PdiffJensen = PCurJ - PNormalJ;
    
    %% Larsen
    aCurL = f_LarsenMultiple(d, SWP_H, SWP_R, c, V0, TIcur);
    uCurL = aCurL * V0;
    
    corrL = f_P2U(t.producedEnergy/t.duration ./c, mean(t.rhoCur)) ./ uCurL;
    corrL = 1;
    uCurL = uCurL .* corrL;
    
    PCurL = f_U2P(uCurL, mean(t.rhoCur)) .* c;
    
    aNormalL = f_LarsenMultiple(d, SWP_H, SWP_R, ones(1,nT), V0, TIcur );
    uNormalL = aNormalL * V0 .* corrL;
    
    PNormalL = f_U2P(uNormalL, mean(t.rhoNormal));
    figure(9); clf; grid on; hold on; plot(corrJ); plot(corrL); legend('Jensen', 'Larsen');
    
    PdiffLarsen = PCurL - PNormalL;
    %%
    
%     figure(5); clf;
%     hold on;
%     bar([t.producedEnergy'/t.duration]);
%     grid on;
%     ylim([0 3000]);
%     title('Curtailment Experiment');
    
    figure(6); clf;
    hold on;
    bar([f_P2U(t.normallyProducedEnergy/t.duration, 1)' uNormalL' uNormalJ']);
    grid on;
    ylim([0 12]);
    title('Default Operation');
    legend('Data', 'Larsen', 'Jensen');
    
%     figure(7); clf;
%     hold on;
%     bar([PNormalJ' PCurJ']);
%     grid on;
%     ylim([0 3000]);
%     title('Jensen');
    
    %% Comparison
    
    PdiffData  = [t.producedEnergy - t.normallyProducedEnergy]/t.duration;
    
%     figure(10);
%     bar([(PNormalJ-t.normallyProducedEnergy/t.duration);(PNormalL-t.normallyProducedEnergy/t.duration)]', 'grouped');
%     grid on;
%     ylim([-1500 1500]);
%     legend('Jensen', 'Larsen');
%     ylabel('Power Error Model [MJ]');
%     xlabel('Turbines [#]');
    
    errJCurtailed = (PdiffJensen(1) - PdiffData(1))/PdiffJensen(1)*100;
    errJGained    = (sum(PdiffJensen(2:nT)) - sum(PdiffData(2:nT)))/sum(PdiffData(2:nT)) * 100;
    errJNet       = (sum(PdiffJensen(1:nT)) - sum(PdiffData(1:nT)))/sum(PdiffData(1:nT)) * 100;
    
    errLCurtailed = (PdiffLarsen(1) - PdiffData(1))/PdiffLarsen(1)*100;
    errLGained    = (sum(PdiffLarsen(2:nT)) - sum(PdiffData(2:nT)))/sum(PdiffData(2:nT)) * 100;
    errLNet       = (sum(PdiffLarsen(1:nT)) - sum(PdiffData(1:nT)))/sum(PdiffData(1:nT)) * 100;
    
    %clc;
%     disp(['Ecurtailed (Data)   ' num2str(PdiffData(1)/10E6) 'MJ']);
%     disp(['Ecurtailed (Jensen) ' num2str(PdiffJensen(1)/10E6) 'MJ (' num2str(errJCurtailed) '%)']);
%     disp(['Ecurtailed (Larsen) ' num2str(PdiffLarsen(1)/10E6) 'MJ (' num2str(errLCurtailed) '%)']);
%     disp(' ');

    EGainedData = sum(PdiffData(2:nT))/10E6;
    EGainedJ    = sum(PdiffJensen(2:nT))/10E6;
    EGainedL    = sum(PdiffLarsen(2:nT))/10E6;
    
    ENetGainedData = sum(PdiffData(1:nT))/10E6;
    ENetGainedJ    = sum(PdiffJensen(1:nT))/10E6;
    ENetGainedL    = sum(PdiffLarsen(1:nT))/10E6;

    disp(' ');
    disp([num2str(100-t.cConfig*100) '% curtailment']);
    disp(['Net Gained (Data)   ' num2str(ENetGainedData) 'MJ']);
    disp(['Egained (Data)      ' num2str(EGainedData) 'MJ']);
    disp(['Egained (Jensen)    ' num2str(EGainedJ) 'MJ (' num2str(errJGained*EGainedData/100) 'MJ ' num2str(errJGained) '%)']);
    disp(['Egained (Larsen)    ' num2str(EGainedL) 'MJ (' num2str(errLGained/10E8*sum(PdiffData(2:nT))) 'MJ ' num2str(errLGained) '%)']);
    
end

