function f_experimentOverviewPlots( e, t )
    %%
    % {2, 3, 4, 8}
    iiEs = [5 8 2 3];
    
    APE     = zeros(length(iiEs), 13);
    P       = zeros(length(iiEs), 13);
    Pcur    = zeros(length(iiEs), 13);
    errorKW = zeros(length(iiEs), 13);
    P_Jcur  = zeros(length(iiEs), 1);
    P_Jnor  = zeros(length(iiEs), 1);
    P_Lcur  = zeros(length(iiEs), 1);
    P_Lnor  = zeros(length(iiEs), 1);
    dP_L    = zeros(length(iiEs), 1);
    dP_J    = zeros(length(iiEs), 1);
    dP_B    = zeros(length(iiEs), 1);
    
    for ii = 1:length(iiEs);
        iiE = iiEs(ii);
        APE(ii, :)     = t{iiE}.powerEstimated;
        P(ii, :)       = t{iiE}.powerNormal;
        Pcur(ii, :)    = t{iiE}.powerCur;
        errorKW(ii, :) = t{iiE}.powerEstimated - t{iiE}.powerNormal;
        
        [a,b,c]        = f_predictEffectNextTurbine(e{iiE}, t{iiE});
        dP_J(ii,:)        = a(2);
        dP_L(ii,:)        = a(3);
        dP_B(ii,:)        = a(4);
        P_Jcur(ii,:)      = b(1);
        P_Jcur(ii,:)      = b(1);
        P_Lcur(ii,:)      = c(1);
        P_Jnor(ii,:)      = b(2);
        P_Lnor(ii,:)      = c(2);
    end
    
    %% Plot APE Error All Turbines
    figure(1);
    bar(errorKW(:, 1:8)');
    grid on;
    xlabel('Turbine [#]');
    ylabel('Power [kW]');
    title('APE');
    
    legend('Test 1', 'Test 2', 'Test 3', 'Test 4');
    
    %% Plot APE Error vs Larsen/Jensen T2
    cJ = 1;
    cL = 1;
    figure(1);
    subplot(311);
    title('Normal');
    bar([P(:,2) P_Jnor*cJ P_Lnor*cL]);
    legend('Measured Default', 'Jensen', 'Larsen');
    ylim([0 2500]);
    xlabel('Experiment [#]');
    ylabel('Power [kW]');
    grid on;
    title('Default Power Turbine #12');
    subplot(312);
    title('Curtailed');
    bar([Pcur(:,2) P_Jcur*cJ P_Lcur*cL]);
    legend('Measured Curtailed', 'Jensen', 'Larsen');
    ylim([0 2500]);
    grid on;
    xlabel('Experiment [#]');
    ylabel('Power [kW]');
    title('Power during Curtailment Turbine #12');
    subplot(313);
    bar([APE(:,2)-P(:,2) APE(:,2)-P(:,2)-dP_J*cJ APE(:,2)-P(:,2)-dP_L*cL]);
    legend('APE', 'Jensen', 'Larsen');
    grid on;
    ylim([-500 2000]);
    xlabel('Experiment [#]');
    ylabel('Power [kW]');
    title('Difference with APE');
    
end

