function d = f_loadDataFromFiles( files )
    %%
    data  = {};
    for iiF=1:length(files)
        fid = fopen(sprintf('data/%s.csv', files{iiF}) ,'r');
        format = '%{MM/dd/yyyy hh:mm:ss a}D';
        for ii = 1:48
            format = strjoin({format,'%f %f %f %f %f %f'}, '\\t');
        end
        fileData = textscan(fid, format, 'delimiter','\t', 'headerLines', 1);

        for ii = 1:size(fileData, 2)
            if(iiF == 1)
                data{ii} = [fileData{ii}];
            else
                data{ii} = [data{ii}; fileData{ii}];
            end
        end
        
        %% Check for Consistance Vector Length
        N   = size(data{1}, 1);
        for ii = 1:size(data, 2)
            if(size(data{ii}, 1) ~= N)
                data{ii} = [data{ii}; 0];
            end
        end
        fclose(fid);

        disp(['File ' files{iiF} ' loaded..']);
    end
    
    N   = size(data{1}, 1);
    d     = struct;
    d.P   = zeros(48, N);
    d.APE = d.P*0;
    d.u   = d.P*0;
    d.alpha = d.P*0;
    d.theta = d.P*0;
    d.omega = d.P*0;

    d.t   = datenum(data{1})*86400;
    
    %%
    for ii = 1:48
        d.P(ii, :)     = data{2+6*(ii-1)};
        d.APE(ii, :)   = data{3+6*(ii-1)};
        d.u(ii, :)     = data{4+6*(ii-1)};
        d.alpha(ii, :) = data{5+6*(ii-1)};
        d.theta(ii, :) = data{6+6*(ii-1)};
        d.omega(ii, :) = data{7+6*(ii-1)};
    end
end

