function BarData = f_makeExperimentBarPlot(d, t, e, tspan )

%     figure(5); clf;
%     hold on;
%     h = bar([t.powerNormal; t.powerCur]');
    errUp      = zeros(1,13);
    errDown    = zeros(1,13);
    errCurUp      = zeros(1,13);
    errCurDown    = zeros(1,13);
    errUp(1)   = max(d.APE(13, tspan(e.tRefNormal:e.tRefEndNormal))) - t.powerNormal(1);
    errDown(1) = t.powerNormal(1) - min(d.APE(13, tspan(e.tRefNormal:e.tRefEndNormal)));
    errCurUp(1)   = max(d.P(13, tspan(e.tSetpoint:e.tResetpoint))) - t.powerCur(1);
    errCurDown(1) = t.powerCur(1) - min(d.P(13, tspan(e.tSetpoint:e.tResetpoint)));

    turbs = 12:-1:1;
    tspanII = tspan;
    for ii = 1:length(turbs)
        iiT = turbs(ii);

        tspanII = tspanII + e.tRefShift(ii);

        errUp(ii+1) = max(d.APE(iiT, tspanII(e.tRefNormal:e.tRefEndNormal))) - t.powerNormal(ii+1);
        errDown(ii+1) = t.powerNormal(ii+1) - min(d.APE(iiT, tspanII(e.tRefNormal:e.tRefEndNormal)));
        errCurUp(ii+1) = max(d.APE(iiT, tspanII(e.tRefRise(ii):e.tRefFall(ii)))) - t.powerCur(ii+1);
        errCurDown(ii+1) = t.powerCur(ii+1) - min(d.APE(iiT, tspanII(e.tRefRise(ii):e.tRefFall(ii))));
    end

%     errorbar((1:13)-.1, t.powerNormal, errDown, errUp, '.', 'Color', tudcolor(5));
%     errorbar((1:13)+.1, t.powerCur, errCurDown, errCurUp, '.', 'Color', tudcolor(5));
%     set(h(1), 'FaceColor', tudcolor);
%     set(h(2), 'FaceColor', tudcolor(2));
%     grid on;
%     xlabel('Turbine [#]');
%     ylabel('Power [kW]');
%     legend('Normal Operation', 'Curtailed Operation');

    BarData = zeros(13,2,4);
    for ii=1:13
        BarData(ii,1,1) = t.powerNormal(ii)-errDown(ii);
        BarData(ii,1,2) = errDown(ii)-10;
        BarData(ii,1,3) = 20;
        BarData(ii,1,4) = errUp(ii)-10;
        BarData(ii,2,1) = t.powerCur(ii)-errCurDown(ii);
        BarData(ii,2,2) = errCurDown(ii)-10;
        BarData(ii,2,3) = 20;
        BarData(ii,2,4) = errCurUp(ii)-10;
    end

    accentColor1 = [0 129 201]/255;
    accentColor2 = [78 9 92]/255;

    f = figure(6); clf;
    hold on;
    h = plotBarStackGroups(BarData, cell('a', 'b'));
    set(h(1), 'FaceColor', tudcolor(1), 'EdgeColor', 'none');
    set(h(2), 'FaceColor', tudcolor(2), 'EdgeColor', 'none');
    set(h(3), 'FaceColor', accentColor1, 'EdgeColor', 'none');
    set(h(4), 'FaceColor', accentColor2, 'EdgeColor', 'none');
    set(h(5), 'FaceColor', tudcolor(4), 'EdgeColor', 'none');
    set(h(6), 'FaceColor', tudcolor(4), 'EdgeColor', 'none');
    set(h(7), 'FaceColor', accentColor1, 'EdgeColor', 'none');
    set(h(8), 'FaceColor', accentColor2, 'EdgeColor', 'none');
    grid on;
    xlabel('Turbine [#]');
    ylabel('Power [kW]');
    set(gca, 'XTickLabel', 1:13);
    set(gca, 'YTick', 0:250:3000);
    legend(h([1 2 5]), 'Normal Operation', 'Curtailed Operation', 'Mean Value');
    
    f.Position = [-861 235 747 218];
end

