function f_plotAnalysis( e, d, turbs )
    %%
    %colors(12, :) = [1 1 1];
    tspan = (e.tStart):(e.tStart+e.tEnd);
    if nargin < 3
        turbs = [e.turbineCur e.turbineRef];
    end
    colors = lines(48);
    size(turbs, 2)
    
    d = f_adjustTimeShift(e, d);
    
    xsecP = 1;
    xsecU = 1;
    
    figure(1); clf;
    
    %%
    subplot(511);
    hold on;
    for iiT = turbs
        plot(d.theta(iiT, tspan)', 'Color', colors(iiT, :), 'DisplayName', ['Turbine ' num2str(iiT)]);
    end
    ylabel('Pitch angle [deg]');
    legend(gca, 'show');
    grid on;
    axis tight;
    
    %%
    subplot(512);
    hold on;
    for iiT = turbs
        plot(smooth(d.P(iiT, tspan), xsecP), 'Color', colors(iiT, :));
        plot(smooth(d.APE(iiT, tspan), xsecP), '--', 'Color', colors(iiT, :));
    end
    ylabel('Power [kW]');
    grid on;
    axis tight;
    
    %%
    uRef = mean(d.u(e.turbineCur, e.tRefNormal:e.tRefEndNormal));
    
    subplot(513);
    hold on;
    for iiT = turbs
        %plot(smooth(d.u(iiT, tspan), xsecU), '.', 'Color', colors(iiT, :));
        plot(smooth(f_P2U(d.APE(iiT, tspan), d.rhoCorrection(tspan)), xsecU), 'Color', colors(iiT, :));
    end
    ylabel('Wind speed [m/s]');
    grid on;
    axis tight;
    
    %%
    subplot(514);
    hold on;
    for iiT = turbs
        plot(d.omega(iiT, tspan)', 'Color', colors(iiT, :));
    end
    ylabel('Rotational speed [rpm]');
    grid on;
    axis tight;
    
    %%
    alpha = d.alpha(13, tspan)';
    alpha(alpha>270) = alpha(alpha>270)-360;
    subplot(515);
    hold on;
    plot(alpha, 'Color', colors(13, :));
    %plot(d.alpha(12, tspan+110), 'Color', colors(12, :));
    ylabel('Wind Direction [deg]');
    grid on;
    axis tight;
end

