function f_plotWakeAnalysis( e, t )
%%
    turbs=(1:5);
    delegate;
    colors = lines(8);
    iiEs = [5 8 2 3];
    figure(1);
    clf;
    errJ = zeros(length(iiEs), length(turbs));
    errL = zeros(length(iiEs), length(turbs));
    for ii=1:length(iiEs)
        subplot(4,2,ii*2-1);
        iiE = iiEs(ii);
        dist = sqrt((xT(1)-xT(13))^2+(yT(1)-yT(13))^2)/12 * (0:12);
        V0   = f_P2U(t{iiE}.powerNormal(1));
        V0cur= f_P2U(t{iiE}.powerCur(1)./t{iiE}.cConfig(1));
        grid on;
        hold on;
        axis tight;
        
        % normal
        uData   = f_P2U(t{iiE}.powerNormal(turbs));
        uLarsen = V0*f_LarsenMultiple(dist, SWP_H, SWP_R, ones(1,length(turbs)), V0, t{iiE}.tiNormal);
        uJensen = V0*f_JensenMultiple(dist, SWP_R, ones(1,length(turbs)), V0, t{iiE}.tiNormal);
        
        errJ(ii, :) = (uData - uJensen);
        errL(ii, :) = (uData - uLarsen);
        
        bar([f_U2P(uLarsen)-f_U2P(uData); f_U2P(uJensen)-f_U2P(uData)]');
        %curtailed
        subplot(4,2,ii*2);
        grid on;
        hold on;
        axis tight;
        
        uData   = f_P2U(t{iiE}.powerCur(turbs)./t{iiE}.cConfig(turbs));
        uLarsen = V0cur*f_LarsenMultiple(dist, SWP_H, SWP_R, t{iiE}.cConfig(turbs), V0cur, t{iiE}.tiCur);
        uJensen = V0cur*f_JensenMultiple(dist, SWP_R, t{iiE}.cConfig(turbs), V0, t{iiE}.tiCur);
        bar([f_U2P(uLarsen)-f_U2P(uData); f_U2P(uJensen)-f_U2P(uData)]');

        if ii==1
            legend('Larsen', 'Jensen');
        end
    end
end

