%%
iiE=8;
d2 = f_adjustTimeShift(e{iiE}, d);
c  = lines(3);
tspan = (e{iiE}.tStart+1000):(e{iiE}.tStart+e{iiE}.tEnd);
figure(1);clf;
hold on;
plot(smooth(d.P(13, tspan), 30));
plot(smooth(d.APE(13, tspan), 30), ':', 'Color', c(1,:));
plot(smooth(d.P(12, tspan), 30), 'Color', c(2,:));
plot(smooth(d.P(11, tspan), 30), 'Color', c(3,:));
axis tight;
xlabel('Time [s]');
ylabel('Power [kW]');
grid on;
legend('WTG13', 'WTG13 (APE)', 'WTG12', 'WTG11', 'Location', 'SouthEast');
ylim([0 3000]);

%%
iiEs = [5 8 2 3];
turbs = 1:8;
figure(2); clf;
dP = zeros(4, 8);
for ii = 1:length(iiEs);
    dP(ii, :) = t{iiEs(ii)}.powerEstimated(turbs)-t{iiEs(ii)}.powerNormal(turbs);
end
bar(dP');
grid on;
xlabel('Turbine [#]');
ylabel('Power difference [kW]');
legend('Test 1', 'Test 2', 'Test 3', 'Test 4');
%%
clc
turbs = 2:8;
correction = [361 953 1290 1634];
for ii=1:length(iiEs)
    sumAPE    = sum(t{iiEs(ii)}.powerEstimated(turbs));
    sumNormal = sum(t{iiEs(ii)}.powerNormal(turbs));
    sumCur    = (1-t{iiEs(ii)}.cConfig(1))*t{iiEs(ii)}.powerNormal(1);
    [sumCur/1000 (sumAPE-sumNormal)/1000 (sumAPE-sumNormal)/sumCur*100 (sumAPE-sumNormal-correction(ii))/1000 (sumAPE-sumNormal-correction(ii))/sumCur*100]
end
%%
surf(dP);
view(0,90);
shading interp;

%% Poging om Gevoeligheid Wind Richting te laten zien
sData = zeros(1, 181);
nData = zeros(1, 181);
for ii = 1:(size(d.P, 2)-60)
    a = round(d.alpha(13,ii)/2)+1;
    if(d.P(12,ii+60) > 0 && d.P(13,ii) > 0)
        sData(a) = sData(a) + d.P(12,ii+60)./d.P(13,ii);
        nData(a) = nData(a) + 1;
    end
end

figure(1); clf
subplot(211);
hold on;
plot(0:2:360, sData./nData);
plot(0:2:260,(0:2:260)*0+1); 
axis tight;
grid on;
xlim([190 230]);
subplot(212);
plot(0:2:360, nData);
axis tight;
grid on;
xlim([190 230]);

%%
figure(1); clf;
plot(d.alpha(13,:), (48*d.P(13,:) - sum(d.P))/1000, 'x')
xlim([190 230]);

%% Bad/Good Experiment
%colors(12, :) = [1 1 1];
for x = 1:2
    if(x == 1)
        turbs = [31 32 14 15];
        iiE = 9;
    else
        turbs = [13 12 11];
        iiE = 8;
    end
    tspan = e{iiE}.tStart:(e{iiE}.tStart+e{iiE}.tEnd);
    if nargin < 3
        turbs = [e{iiE}.turbineCur e{iiE}.turbineRef];
    end
    colors = lines(48);
    size(turbs, 2)

    dAdjusted = f_adjustTimeShift(e{iiE}, d);

    xsecP = 1;
    xsecU = 30;

    figure(x); clf;

    subplot(311);
    hold on;
    for iiT = turbs
        plot(dAdjusted.theta(iiT, tspan)', 'Color', colors(iiT, :), 'DisplayName', ['Turbine ' num2str(iiT)]);
    end
    ylabel('Pitch angle [deg]');
    legend(gca, 'show');
    grid on;
    axis tight;

    subplot(312);
    hold on;
    for iiT = turbs
        plot(smooth(dAdjusted.P(iiT, tspan), xsecP), 'Color', colors(iiT, :));
        plot(smooth(dAdjusted.APE(iiT, tspan), xsecP), '--', 'Color', colors(iiT, :));
    end
    ylabel('Power [kW]');
    grid on;
    axis tight;

    uRef = mean(dAdjusted.u(e{iiE}.turbineCur, e{iiE}.tRefNormal:e{iiE}.tRefEndNormal));

    subplot(313);
    hold on;
    for iiT = turbs
        plot(smooth(dAdjusted.u(iiT, tspan), xsecU), 'Color', colors(iiT, :));
        plot(smooth(dAdjusted.u(iiT, tspan), xsecU), 'Color', colors(iiT, :));
    end
    ylabel('Wind speed [m/s]');
    grid on;
    axis tight;
end