iiE = 8;

tspan = (e{iiE}.tStart+800):(e{iiE}.tStart+1400);

figure(1); clf;
subplot(211);
hold on;
plot(d.APE(13, tspan), 'Color', tudcolor(1));
plot(d.APE(12, tspan)+1300, ':', 'Color', tudcolor(2));
plot(d.APE(12, tspan+98)+1300, 'Color', tudcolor(2));
grid on;
axis tight;
ylim([2000 3000]);
subplot(212);
hold on;
plot(d.APE(12, tspan+95)+1300, 'Color', tudcolor(2));
plot(d.APE(11, tspan)+1000, ':', 'Color', tudcolor(4));
plot(d.APE(11, tspan+189)+1000, 'Color', tudcolor(4));
grid on;
axis tight;
ylim([2000 3000]);

set(gca,'YTick',[])
ylabel('Power');
xlabel('Time [s]');
legend('Turbine #1', 'Turbine #2 (original)', 'Turbine #2 (shifted)');

%% Exp 1,2,3
tspan = (e{1}.tStart-1000):(e{1}.tStart+e{1}.tEnd);
tspan = tspan(1000:3600);
tspan12 = tspan + e{1}.tRefShift(1);

u13 = f_P2U(d.APE(13, tspan), d.rhoCorrection(tspan));
u12 = f_P2U(d.APE(12, tspan12), d.rhoCorrection(tspan12));
u13(u13>10.2 | u13<9) = nan;

figure(2); clf;
subplot(411);
hold on;
plot(d.theta(13, tspan), 'Color', tudcolor);
plot(d.theta(12, tspan12), 'Color', tudcolor(2));
ylabel('Pitch Angle [^o]');
grid on;
axis tight;
xlabel('Time [s]');
fillMin = -3;
fillMax = 12;
hf = fill([1045 1045 1319 1319], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1557 1557 1812 1812], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2025 2025 2303 2303], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
legend('Turbine #1', 'Turbine #2' , 'Location', 'NorthWest');

subplot(412);
hold on;
plot(u13, 'Color', tudcolor(1));
plot(u12, 'Color', tudcolor(2));
ylabel('Wind speed [m/s]');
grid on;
axis tight;
fillMin = 4;
fillMax = 11;
hf = fill([1045 1045 1319 1319], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1557 1557 1812 1812], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2025 2025 2303 2303], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)

subplot(413);
    
hold on;
plot(d.P(13, tspan), 'Color', tudcolor);
plot(d.APE(13, tspan), ':', 'Color', tudcolor);
plot(d.P(12, tspan12), 'Color', tudcolor(2));
ylabel('Power [kW]');
grid on;
axis tight;
legend('Produced Power', 'Available Power', 'Location', 'West');
fillMin = 0;
fillMax = 3000;
hf = fill([1045 1045 1319 1319], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1557 1557 1812 1812], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2025 2025 2303 2303], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)

subplot(414);
hold on;
plot(d.omega(13, tspan), 'Color', tudcolor);
plot(d.omega(12, tspan12), 'Color', tudcolor(2));
ylabel('Rotational Speed [rpm]');
grid on;
axis tight;
xlabel('Time [s]');
fillMin = 5;
fillMax = 17;
hf = fill([1045 1045 1319 1319], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1557 1557 1812 1812], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2025 2025 2303 2303], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)

%% Exp 4
iiE = 4;
tspan = (e{iiE}.tStart-1500):(e{iiE}.tStart+e{iiE}.tEnd+1500);
tspan12 = tspan + e{iiE}.tRefShift(iiE);

u13 = f_P2U(d.APE(13, tspan), d.rhoCorrection(tspan));
u12 = f_P2U(d.APE(12, tspan12), d.rhoCorrection(tspan12));
u13(u13>10.2) = nan;

figure(3); clf
subplot(411);
hold on;
plot(d.theta(13, tspan), 'Color', tudcolor);
plot(d.theta(12, tspan12), 'Color', tudcolor(2));
ylabel('Pitch Angle [^o]');
grid on;
axis tight;
xlabel('Time [s]');
fillMin = -3;
fillMax = 12;
hf = fill([576 576 896 896], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1163 1163 1576 1576], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1863 1863 2186 2186], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2548 2548 2824 2824], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([3398 3398 3689 3689], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
legend('Turbine #1', 'Turbine #2' , 'Location', 'NorthWest');

subplot(412);
hold on;
plot(u13, 'Color', tudcolor(1));
plot(u12, 'Color', tudcolor(2));
ylabel('Wind speed [m/s]');
grid on;
axis tight;
fillMin = 3;
fillMax = 11;
hf = fill([576 576 896 896], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1163 1163 1576 1576], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1863 1863 2186 2186], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2548 2548 2824 2824], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([3398 3398 3689 3689], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)

subplot(413);
    
hold on;
plot(d.P(13, tspan), 'Color', tudcolor);
plot(d.APE(13, tspan), ':', 'Color', tudcolor);
plot(d.P(12, tspan12), 'Color', tudcolor(2));
ylabel('Power [kW]');
grid on;
axis tight;
legend('Produced Power', 'Available Power', 'Location', 'NorthWest', 'Orientation', 'Horizontal');
fillMin = 0;
fillMax = 3000;
hf = fill([576 576 896 896], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1163 1163 1576 1576], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1863 1863 2186 2186], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2548 2548 2824 2824], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([3398 3398 3689 3689], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)

subplot(414);
hold on;
plot(d.omega(13, tspan), 'Color', tudcolor);
plot(d.omega(12, tspan12), 'Color', tudcolor(2));
ylabel('Rotational Speed [rpm]');
grid on;
axis tight;
xlabel('Time [s]');
fillMin = 5;
fillMax = 17;
hf = fill([576 576 896 896], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1163 1163 1576 1576], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([1863 1863 2186 2186], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([2548 2548 2824 2824], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
hf = fill([3398 3398 3689 3689], [fillMin fillMax fillMax fillMin], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)


%% Exp 1 Detail
iiE = 2;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd);
%tspan = tspan(600:1170);
tspan12 = tspan + e{iiE}.tRefShift(1);
tspan11 = tspan + sum(e{iiE}.tRefShift(1:2));
tspan10 = tspan + sum(e{iiE}.tRefShift(1:3));
tspan9 = tspan + sum(e{iiE}.tRefShift(1:4));
tspan8 = tspan + sum(e{iiE}.tRefShift(1:5));
tspan7 = tspan + sum(e{iiE}.tRefShift(1:6));

figure(4); clf;
hold on;
iiPlot = 670:1170;
plot(d.P(13, tspan(iiPlot)), 'Color', tudcolor);
plot(d.P(12, tspan12(iiPlot)), 'Color', tudcolor(2));
plot(d.P(11, tspan11(iiPlot)), 'Color', tudcolor(3));
plot(d.P(10, tspan10(iiPlot)), 'Color', tudcolor(4));
plot(d.P(9, tspan9(iiPlot)), 'Color', tudcolor(5));
plot(d.P(8, tspan8(iiPlot)), '--', 'Color', tudcolor(4));
plot(d.P(7, tspan7(iiPlot)), '--', 'Color', tudcolor(5));
axis tight;
grid on;
legend('Turbine #1', 'Turbine #2', 'Turbine #3', 'Turbine #4', 'Turbine #5', 'Turbine #6', 'Turbine #7', 'Location', 'NorthWest');
ylabel('Power [kW]');
xlabel('Time [s]');
plot(d.APE(13, tspan(iiPlot)), ':', 'Color', tudcolor);
title('Experiment 1');

BarData1 = f_makeExperimentBarPlot(d, t{iiE}, e{iiE}, tspan);
title('Experiment 1');
%% Exp 2 Detail
iiE = 3;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd);
%tspan = tspan(970:1670);
tspan12 = tspan + e{iiE}.tRefShift(1);
tspan11 = tspan + sum(e{iiE}.tRefShift(1:2));
tspan10 = tspan + sum(e{iiE}.tRefShift(1:3));
tspan9 = tspan + sum(e{iiE}.tRefShift(1:4));
tspan8 = tspan + sum(e{iiE}.tRefShift(1:5));
tspan7 = tspan + sum(e{iiE}.tRefShift(1:6));
tspan6 = tspan + sum(e{iiE}.tRefShift(1:7));
tspan5 = tspan + sum(e{iiE}.tRefShift(1:8));
tspan4 = tspan + sum(e{iiE}.tRefShift(1:9));
tspan3 = tspan + sum(e{iiE}.tRefShift(1:10));
tspan2 = tspan + sum(e{iiE}.tRefShift(1:11));
tspan1 = tspan + sum(e{iiE}.tRefShift(1:12));

figure(4); clf;
hold on;
iiPlot = 1070:1670;
plot(d.P(13, tspan(iiPlot)), 'Color', tudcolor);
plot(d.P(12, tspan12(iiPlot)), 'Color', tudcolor(2));
plot(d.P(11, tspan11(iiPlot)), 'Color', tudcolor(3));
plot(d.P(10, tspan10(iiPlot)), 'Color', tudcolor(4));
plot(d.P(9, tspan9(iiPlot)), 'Color', tudcolor(5));
plot(d.P(8, tspan8(iiPlot)), '--', 'Color', tudcolor(4));
plot(d.P(7, tspan7(iiPlot)), '--', 'Color', tudcolor(5));
axis tight;
grid on;
legend('Turbine #1', 'Turbine #2', 'Turbine #3', 'Turbine #4', 'Turbine #5', 'Turbine #6', 'Turbine #7', 'Location', 'NorthEast');
ylabel('Power [kW]');
xlabel('Time [s]');
plot(d.APE(13, tspan(iiPlot)), ':', 'Color', tudcolor);
title('Experiment 2');

BarData2 = f_makeExperimentBarPlot(d, t{iiE}, e{iiE}, tspan);
title('Experiment 2');

%% Exp 3 Detail
iiE = 14;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd);
%tspan = tspan(970:1670);
tspan12 = tspan + e{iiE}.tRefShift(1);
tspan11 = tspan + sum(e{iiE}.tRefShift(1:2));
tspan10 = tspan + sum(e{iiE}.tRefShift(1:3));
tspan9 = tspan + sum(e{iiE}.tRefShift(1:4));
tspan8 = tspan + sum(e{iiE}.tRefShift(1:5));
tspan7 = tspan + sum(e{iiE}.tRefShift(1:6));

figure(4); clf;
hold on;
iiPlot = 200:900;
plot(d.P(13, tspan(iiPlot)), 'Color', tudcolor);
plot(d.P(12, tspan12(iiPlot)), 'Color', tudcolor(2));
plot(d.P(11, tspan11(iiPlot)), 'Color', tudcolor(3));
plot(d.P(10, tspan10(iiPlot)), 'Color', tudcolor(4));
plot(d.P(9, tspan9(iiPlot)), 'Color', tudcolor(5));
plot(d.P(8, tspan8(iiPlot)), '--', 'Color', tudcolor(4));
plot(d.P(7, tspan7(iiPlot)), '--', 'Color', tudcolor(5));
axis tight;
grid on;
legend('Turbine #1', 'Turbine #2', 'Turbine #3', 'Turbine #4', 'Turbine #5', 'Turbine #6', 'Turbine #7', 'Location', 'NorthWest');
ylabel('Power [kW]');
xlabel('Time [s]');
ylim([0 3000]);
plot(d.APE(13, tspan(iiPlot)), ':', 'Color', tudcolor);
title('Experiment 3');

BarData3 = f_makeExperimentBarPlot(d, t{iiE}, e{iiE}, tspan);
title('Experiment 3');

%% Exp 4 Detail
iiE = 4;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd);
%tspan = tspan(970:1670);
tspan12 = tspan + e{iiE}.tRefShift(1);
tspan11 = tspan + sum(e{iiE}.tRefShift(1:2));
tspan10 = tspan + sum(e{iiE}.tRefShift(1:3));
tspan9 = tspan + sum(e{iiE}.tRefShift(1:4));
tspan8 = tspan + sum(e{iiE}.tRefShift(1:5));
tspan7 = tspan + sum(e{iiE}.tRefShift(1:6));

figure(4); clf;
hold on;
iiPlot = 200:900;
plot(d.P(13, tspan(iiPlot)), 'Color', tudcolor);
plot(d.P(12, tspan12(iiPlot)), 'Color', tudcolor(2));
plot(d.P(11, tspan11(iiPlot)), 'Color', tudcolor(3));
plot(d.P(10, tspan10(iiPlot)), 'Color', tudcolor(4));
plot(d.P(9, tspan9(iiPlot)), 'Color', tudcolor(5));
plot(d.P(8, tspan8(iiPlot)), '--', 'Color', tudcolor(4));
plot(d.P(7, tspan7(iiPlot)), '--', 'Color', tudcolor(5));
axis tight;
grid on;
legend('Turbine #1', 'Turbine #2', 'Turbine #3', 'Turbine #4', 'Turbine #5', 'Turbine #6', 'Turbine #7', 'Location', 'NorthWest');
ylabel('Power [kW]');
xlabel('Time [s]');
ylim([0 3000]);
plot(d.APE(13, tspan(iiPlot)), ':', 'Color', tudcolor);
title('Experiment 4');

BarData4 = f_makeExperimentBarPlot(d, t{iiE}, e{iiE}, tspan);
title('Experiment 4');

%% Exp 5 Detail
iiE = 15;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd+300);
%tspan = tspan(970:1670);
tspan12 = tspan + e{iiE}.tRefShift(1);
tspan11 = tspan + sum(e{iiE}.tRefShift(1:2));
tspan10 = tspan + sum(e{iiE}.tRefShift(1:3));
tspan9 = tspan + sum(e{iiE}.tRefShift(1:4));
tspan8 = tspan + sum(e{iiE}.tRefShift(1:5));
tspan7 = tspan + sum(e{iiE}.tRefShift(1:6));

figure(4); clf;
hold on;
iiPlot = 1:1190;
plot(d.P(13, tspan(iiPlot)), 'Color', tudcolor);
plot(d.P(12, tspan12(iiPlot)), 'Color', tudcolor(2));
plot(d.P(11, tspan11(iiPlot)), 'Color', tudcolor(3));
plot(d.P(10, tspan10(iiPlot)), 'Color', tudcolor(4));
plot(d.P(9, tspan9(iiPlot)), 'Color', tudcolor(5));
plot(d.P(8, tspan8(iiPlot)), '--', 'Color', tudcolor(4));
plot(d.P(7, tspan7(iiPlot)), '--', 'Color', tudcolor(5));
axis tight;
grid on;
legend('Turbine #1', 'Turbine #2', 'Turbine #3', 'Turbine #4', 'Turbine #5', 'Turbine #6', 'Turbine #7', 'Location', 'NorthWest');
ylabel('Power [kW]');
xlabel('Time [s]');
ylim([0 3000]);
plot(d.APE(13, tspan(iiPlot)), ':', 'Color', tudcolor);
title('Experiment 5');

BarData5 = f_makeExperimentBarPlot(d, t{iiE}, e{iiE}, tspan);
title('Experiment 5');

%% Exp 6 Detail
iiE = 5;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd+200);
%tspan = tspan(970:1670);
tspan12 = tspan + e{iiE}.tRefShift(1);
tspan11 = tspan + sum(e{iiE}.tRefShift(1:2));
tspan10 = tspan + sum(e{iiE}.tRefShift(1:3));
tspan9 = tspan + sum(e{iiE}.tRefShift(1:4));
tspan8 = tspan + sum(e{iiE}.tRefShift(1:5));
tspan7 = tspan + sum(e{iiE}.tRefShift(1:6));
tspan6 = tspan + sum(e{iiE}.tRefShift(1:7));
tspan5 = tspan + sum(e{iiE}.tRefShift(1:8));
tspan4 = tspan + sum(e{iiE}.tRefShift(1:9));
tspan3 = tspan + sum(e{iiE}.tRefShift(1:10));
tspan2 = tspan + sum(e{iiE}.tRefShift(1:11));
tspan1 = tspan + sum(e{iiE}.tRefShift(1:12));

figure(4); clf;
hold on;
iiPlot = 1:801;
plot(d.P(13, tspan(iiPlot)), 'Color', tudcolor);
plot(d.P(12, tspan12(iiPlot)), 'Color', tudcolor(2));
plot(d.P(11, tspan11(iiPlot)), 'Color', tudcolor(3));
plot(d.P(10, tspan10(iiPlot)), 'Color', tudcolor(4));
plot(d.P(9, tspan9(iiPlot)), 'Color', tudcolor(5));
plot(d.P(8, tspan8(iiPlot)), '--', 'Color', tudcolor(4));
plot(d.P(7, tspan7(iiPlot)), '--', 'Color', tudcolor(5));
plot([1 1]*630, [0  2600], 'Color', tudcolor(3));
plot([1 1]*420, [0  2600], 'Color', tudcolor(3));
axis tight;
grid on;
legend('Turbine #1', 'Turbine #2', 'Turbine #3', 'Turbine #4', 'Turbine #5', 'Turbine #6', 'Turbine #7', 'Location', 'NorthWest');
ylabel('Power [kW]');
xlabel('Time [s]');
plot(d.APE(13, tspan(iiPlot)), ':', 'Color', tudcolor);

title('Experiment 6');

BarData6 = f_makeExperimentBarPlot(d, t{iiE}, e{iiE}, tspan);
title('Experiment 6');
f = figure(6);
g = gca;
g.Children(1).YData(11:13) = 0;
g.Children(2).YData(11:13) = 0;
g.Children(3).YData(11:13) = 0;
g.Children(4).YData(11:13) = 0;
g.Children(5).YData(11:13) = 0;
g.Children(6).YData(11:13) = 0;
g.Children(7).YData(11:13) = 0;
g.Children(8).YData(11:13) = 0;
xlim([0 13]);
set(g, 'XTick', 1:13);
%% Exp 7 Detail
iiE = 8;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd+200);
%tspan = tspan(970:1670);
tspan12 = tspan + e{iiE}.tRefShift(1);
tspan11 = tspan + sum(e{iiE}.tRefShift(1:2));
tspan10 = tspan + sum(e{iiE}.tRefShift(1:3));
tspan9 = tspan + sum(e{iiE}.tRefShift(1:4));
tspan8 = tspan + sum(e{iiE}.tRefShift(1:5));
tspan7 = tspan + sum(e{iiE}.tRefShift(1:6));
tspan6 = tspan + sum(e{iiE}.tRefShift(1:7));
tspan5 = tspan + sum(e{iiE}.tRefShift(1:8));
tspan4 = tspan + sum(e{iiE}.tRefShift(1:9));
tspan3 = tspan + sum(e{iiE}.tRefShift(1:10));
tspan2 = tspan + sum(e{iiE}.tRefShift(1:11));
tspan1 = tspan + sum(e{iiE}.tRefShift(1:12));

f = figure(4); clf;
hold on;
iiPlot = 1:2000;
plot(d.P(13, tspan(iiPlot)), 'Color', tudcolor);
plot(smooth(d.P(12, tspan12(iiPlot)), 30), 'Color', tudcolor(2));
plot(smooth(d.P(11, tspan11(iiPlot)), 30), 'Color', tudcolor(3));
plot(smooth(d.P(10, tspan10(iiPlot)), 30), 'Color', tudcolor(4));
plot(smooth(d.P(9, tspan9(iiPlot)), 30), 'Color', tudcolor(5));
plot([1 1]*1318, [500  3000], 'Color', tudcolor(3));
plot([1 1]*1510, [500 3000], 'Color', tudcolor(3));
axis tight;
grid on;
legend('Turbine #1', 'Turbine #2', 'Turbine #3', 'Turbine #4', 'Turbine #5', 'Location', 'NorthWest');
ylabel('Power [kW]');
xlabel('Time [s]');
plot(d.APE(13, tspan(iiPlot)), ':', 'Color', tudcolor);
title('Experiment 7');
BarData7 = f_makeExperimentBarPlot(d, t{iiE}, e{iiE}, tspan);
f = figure(6);
set(f.Children(1), 'Location', 'SouthEast');
title('Experiment 7');

%% Pitch Angle Exp 6
iiE = 5;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd+200);
iiPlot = 1:901;

f = figure(7); clf;
hold on;
plot(d.theta(13, tspan(iiPlot)), 'Color', tudcolor);
plot([1 1]*630, [-4  8], 'Color', tudcolor(3));
plot([1 1]*420, [-4  8], 'Color', tudcolor(3));
grid on;
axis tight;
ylim([-4 8]);
xlabel('Time [s]');
ylabel('Pitch Angle [^o]');
title('Experiment 6');

f.Position = [-783 605 560 134];

%% Pitch Angle Exp 7
iiE = 8;
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd+200);
iiPlot = 1:2000;

f = figure(7); clf;
hold on;
plot(d.theta(13, tspan(iiPlot)), 'Color', tudcolor);
plot([1 1]*1318, [-4  11], 'Color', tudcolor(3));
plot([1 1]*1510, [-4  11], 'Color', tudcolor(3));
grid on;
axis tight;
ylim([-4 11]);
xlabel('Time [s]');
ylabel('Pitch Angle [^o]');
title('Experiment 7');
ylim([7 10]);
xlim([0 2000]);

f.Position = [-783 605 560 134];

%% Overview Experiments
A = zeros(5, 13);
iiEs = [3 2 8 4 5];
iiEs = [2 3 14 4 15 5 8];

for ii=1:length(iiEs)
    iiE = iiEs(ii);
    A(ii, :) = t{iiE}.powerCur - t{iiE}.powerNormal;
end

A(6,12:13) = 0;

f = figure(10);
h = bar(A');
set(h(1), 'FaceColor', tudcolor(1));
set(h(2), 'FaceColor', tudcolor(2));
set(h(3), 'FaceColor', tudcolor(3));
set(h(4), 'FaceColor', tudcolor(4));
set(h(5), 'FaceColor', tudcolor(5));
set(h(6), 'FaceColor', tudcolor(6));
set(h(7), 'FaceColor', tudcolor(7));
grid on;
f.Position = [434 558 806 420];

legend('Experiment 1', 'Experiment 2', 'Experiment 3', 'Experiment 4', 'Experiment 5', 'Experiment 6', 'Experiment 7');
ylabel('Power Difference [kW]');
xlabel('Turbine [#]');

%% Overview Turbine 2
figure(11); clf;
hold on;

BarDatas = cell(1,7);
BarDatas{1} = BarData1;
BarDatas{2} = BarData2;
BarDatas{3} = BarData3;
BarDatas{4} = BarData4;
BarDatas{5} = BarData5;
BarDatas{6} = BarData6;
BarDatas{7} = BarData7;

BarData = zeros(7, 4);
p = 1:7;

accentColors = [0   129 201;
                78  9   92;
                222 33  0;
                255 145 0;
                137 189 0;
                62  158 198;
                176 0 0;]/255;
hLegend = [];
for ii =1:7
    BarDataT1 = zeros(1,4);
    BarDataT1(2) = abs(BarDatas{ii}(1,1,2)) + abs(BarDatas{ii}(1,2,2)) - 5;
    BarDataT1(1) = BarDatas{ii}(1,1,1) + BarDatas{ii}(1,1,2)  - BarDatas{ii}(1,2,1) - BarDatas{ii}(1,2,2) - BarDataT1(2) - 5;
    BarDataT1(3) = 10;
    BarDataT1(4) = BarDatas{ii}(1,1,4) + BarDatas{ii}(1,2,4) - 5;
    
    BarDataT2 = zeros(1,4);
    BarDataT2(2) = abs(BarDatas{ii}(2,1,2)) + abs(BarDatas{ii}(2,2,2)) - 5;
    BarDataT2(1) = BarDatas{ii}(2,2,1) + BarDatas{ii}(2,2,2) - BarDatas{ii}(2,1,1) - BarDatas{ii}(2,1,2) - BarDataT2(2) - 5;
    BarDataT2(3) = 10;
    BarDataT2(4) = BarDatas{ii}(2,1,4) + BarDatas{ii}(2,2,4) - 5;
    
    BarDataT3 = zeros(1,4);
    BarDataT3(2) = abs(BarDatas{ii}(3,1,2)) + abs(BarDatas{ii}(3,2,2)) - 5;
    BarDataT3(1) = (BarDatas{ii}(3,1,1) + BarDatas{ii}(1,1,2)  - BarDatas{ii}(3,2,1) - BarDatas{ii}(3,2,2) - BarDataT3(2) - 5);
    BarDataT3(3) = 10;
    BarDataT3(4) = BarDatas{ii}(3,1,4) + BarDatas{ii}(3,2,4) - 5;
    
    if(ii == 6 || ii==3 || ii==4)
       BarDataT3 = -BarDataT3;
    end
    
    h = bar([p(ii)-.3 p(ii)-1.3], [BarDataT1; 0 0 0 0], 'stacked');
    set(h(1), 'FaceColor', tudcolor(p(ii)), 'EdgeColor', 'none', 'BarWidth', 0.2);
    set(h(2), 'FaceColor', accentColors(p(ii),:), 'EdgeColor', 'none');
    set(h(3), 'FaceColor', tudcolor(4), 'EdgeColor', 'none');
    set(h(4), 'FaceColor', accentColors(p(ii),:), 'EdgeColor', 'none');
    h = bar([p(ii) p(ii)+1], [BarDataT2; 0 0 0 0], 'stacked');
    set(h(1), 'FaceColor', tudcolor(p(ii)), 'EdgeColor', 'none', 'BarWidth', 0.2);
    set(h(2), 'FaceColor', accentColors(p(ii),:), 'EdgeColor', 'none');
    set(h(3), 'FaceColor', tudcolor(4), 'EdgeColor', 'none');
    set(h(4), 'FaceColor', accentColors(p(ii),:), 'EdgeColor', 'none');
    
    h = bar([p(ii)+.3 p(ii)+1.3], [BarDataT3; 0 0 0 0], 'stacked');
    set(h(1), 'FaceColor', tudcolor(p(ii)), 'EdgeColor', 'none', 'BarWidth', 0.2);
    set(h(2), 'FaceColor', accentColors(p(ii),:), 'EdgeColor', 'none');
    set(h(3), 'FaceColor', tudcolor(4), 'EdgeColor', 'none');
    set(h(4), 'FaceColor', accentColors(p(ii),:), 'EdgeColor', 'none');
    
    hLegend(p(ii)) = h(1);
end
xlim([0.5 7.5]);
set(gca, 'XTick', [.7 1 1.3 1.7 2 2.3 2.7 3 3.3 3.7 4 4.3 4.7 5 5.3 5.7 6 6.3 6.7 7 7.3]);
set(gca, 'XTickLabel', {'T1', 'T2', 'T3'});
set(gca, 'YGrid', 'on');
set(gca, 'YTick', 0:100:2500);
legend(hLegend, 'Experiment 1', 'Experiment 2', 'Experiment 3', 'Experiment 4', 'Experiment 5', 'Experiment 6', 'Experiment 7', 'Location', 'NorthEast');
ylim([0 2500]);
ylabel('Power Difference [kW]');