% run figureRWM.m

CPc    = zeros(5, 1);
CPaJ   = CPc;
CPaL   = CPc;
CPd    = CPc;
RWE2   = zeros(3, 5);
RWE3   = zeros(3, 5);
for ii=3:7
    iiE = iiEs(ii);
    
    tspan = ((e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd));
    tShift = e{iiE}.tRefShift(1);
    tShift2 = tShift + e{iiE}.tRefShift(2);
    
    P1    = d.P(13, tspan);
    APE1  = d.APE(13, tspan);
    V0    = f_P2U(APE1, d.rhoCorrection(tspan));
    c     = P1 ./ d.APE(13, tspan);
    TI0n   = [t{iiE}.tiNormal(1) t{iiE}.tiNormal(2)];
    TI0c   = [t{iiE}.tiNormal(1) t{iiE}.tiCur(2)];
    duration = evalEnd(ii) - evalStart(ii);
    
    UJxCur    = repmat(V0, 3, 1) .* f_JensenMultipleTimeSeries((0:2)*520, SWP_R, [c; ones(12, length(c))], V0, TI0c);
    ULxCur    = repmat(V0, 3, 1) .* f_LarsenMultipleTimeSeries((0:2)*520, SWP_H, SWP_R, [c; ones(12, length(c))], V0, TI0c);
    UJxNormal = repmat(V0, 3, 1) .* f_JensenMultipleTimeSeries((0:2)*520, SWP_R, [ones(12, length(c))], V0, TI0n);
    ULxNormal = repmat(V0, 3, 1) .* f_LarsenMultipleTimeSeries((0:2)*520, SWP_H, SWP_R, [ones(12, length(c))], V0, TI0n);
    
    PD2Cur = trapz(d.P(12, tspan(evalStart(ii):evalEnd(ii))+tShift)) / duration;
    PJ2Cur = trapz(f_U2P(UJxCur(2, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    PL2Cur = trapz(f_U2P(ULxCur(2, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    PD2Normal = t{iiE}.powerNormal(2);
    PJ2Normal = trapz(f_U2P(UJxNormal(2, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    PL2Normal = trapz(f_U2P(ULxNormal(2, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    
    PD3Cur = trapz(d.P(11, tspan(evalStart(ii):evalEnd(ii))+tShift2)) / duration;
    PJ3Cur = trapz(f_U2P(UJxCur(3, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    PL3Cur = trapz(f_U2P(ULxCur(3, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    PD3Normal = t{iiE}.powerNormal(3);
    PJ3Normal = trapz(f_U2P(UJxNormal(3, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    PL3Normal = trapz(f_U2P(ULxNormal(3, evalStart(ii):evalEnd(ii)), d.rhoCorrection(tspan(evalStart(ii):evalEnd(ii)))')) / duration;
    
    
    CPc(ii-2)  = PD2Cur;
    CPd(ii-2)  = CPc(ii-2) - (PD2Cur - PD2Normal);
    CPaJ(ii-2) = CPc(ii-2) - (PJ2Cur - PJ2Normal);
    CPaL(ii-2) = CPc(ii-2) - (PL2Cur - PL2Normal);
    
    CPc(ii-2)  = t{iiE}.powerNormal(1)*1 + PD2Cur + PD3Cur*1;
    CPd(ii-2)  = t{iiE}.powerNormal(1)*1 + PD2Normal + PD3Normal*1;
    CPaJ(ii-2) = CPc(ii-2) - (PJ2Cur - PJ2Normal) - (PJ3Cur - PJ3Normal);
    CPaL(ii-2) = CPc(ii-2) - (PL2Cur - PL2Normal) - (PL3Cur - PL3Normal);
    
    RWE2(:, ii-2) = [(PD2Cur - PD2Normal); (PJ2Cur - PJ2Normal); (PL2Cur - PL2Normal)];
    RWE3(:, ii-2) = [(PD3Cur - PD3Normal); (PJ3Cur - PJ3Normal); (PL3Cur - PL3Normal)];
end
%% Volumes
figure(3);
h = bar([CPc CPd CPaJ CPaL]);
set(h(1), 'FaceColor', tudcolor(1));
set(h(2), 'FaceColor', tudcolor(2));
set(h(3), 'FaceColor', tudcolor(3));
set(h(4), 'FaceColor', tudcolor(5));
legend('Gross', 'Measured', 'Jensen', 'Larsen', 'Location', 'North');
set(gca, 'YGrid', 'on');
%set(gca, 'YTick', 0:100:1500);
set(gca, 'XTickLabel', 3:7);
xlabel('Experiment [#]');
ylabel('Average Available Power [kW]');

%% Error
figure(5);
h = bar(abs([CPc CPaJ CPaL]-[CPd CPd CPd])./[CPd CPd CPd]*100);
set(h(1), 'FaceColor', tudcolor(1));
set(h(2), 'FaceColor', tudcolor(3));
set(h(3), 'FaceColor', tudcolor(5));
legend('Gross', 'Jensen', 'Larsen', 'Location', 'North');
set(gca, 'YGrid', 'on');
%set(gca, 'YTick', 0:100:1500);
set(gca, 'XTickLabel', 3:7);
xlabel('Experiment [#]');
ylabel('Error [%]');

%% Error Reduction
error = ([CPc CPaJ CPaL]-[CPd CPd CPd])./[CPd CPd CPd]*100;
errorJ = abs(error(:,2))
errorL = abs(error(:,3))

%% Error TI T1
for ii=3:7
    iiE = iiEs(ii);
    (t{iiE}.tiCur(1) - t{iiE}.tiNormal(1))/t{iiE}.tiNormal(1)*100
end
%% RWE
figure(5);
subplot(211);
h = bar(RWE2');
set(h(1), 'FaceColor', tudcolor(2));
set(h(2), 'FaceColor', tudcolor(3));
set(h(3), 'FaceColor', tudcolor(5));
legend('Measured', 'Jensen', 'Larsen', 'Location', 'North');
set(gca, 'YGrid', 'on');
%set(gca, 'YTick', 0:100:1500);
set(gca, 'XTickLabel', 3:7);
ylabel('Average Reduced Wake Effect [kW]');
title('Turbine #2');
subplot(212);
h = bar(RWE3');
set(h(1), 'FaceColor', tudcolor(2));
set(h(2), 'FaceColor', tudcolor(3));
set(h(3), 'FaceColor', tudcolor(5));
set(gca, 'YGrid', 'on');
%set(gca, 'YTick', 0:100:1500);
set(gca, 'XTickLabel', 3:7);
title('Turbine #3');
xlabel('Experiment [#]');
ylabel('Average Reduced Wake Effect [kW]');
%% RWE Error
figure(5);
subplot(211);
h = bar((RWE2(2:3,:)'-[RWE2(1,:); RWE2(1,:)]')./[RWE2(1,:); RWE2(1,:)]'*100);
set(h(1), 'FaceColor', tudcolor(3));
set(h(2), 'FaceColor', tudcolor(5));
legend('Jensen', 'Larsen', 'Location', 'NorthEast');
set(gca, 'YGrid', 'on');
%set(gca, 'YTick', 0:100:1500);
set(gca, 'XTickLabel', 3:7);
ylabel('Average Reduced Wake Effect [kW]');
title('Turbine #2');
subplot(212);
h = bar((RWE3(2:3,:)'-[RWE3(1,:); RWE3(1,:)]')./[RWE3(1,:); RWE3(1,:)]'*100);
set(h(1), 'FaceColor', tudcolor(3));
set(h(2), 'FaceColor', tudcolor(5));
set(gca, 'YGrid', 'on');
%set(gca, 'YTick', 0:100:1500);
set(gca, 'XTickLabel', 3:7);
title('Turbine #3');
xlabel('Experiment [#]');
ylabel('Average Reduced Wake Effect [kW]');