iiEs      = [  2    3  14   4  15   5    8];
turbs = [13 12];

iiE = iiEs(3);
tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd);
if nargin < 3
    turbs = [e{iiE}.turbineCur e{iiE}.turbineRef];
end
colors = lines(48);
size(turbs, 2)

dAdjusted = f_adjustTimeShift(e{iiE}, d);

xsecP = 1;
xsecU = 1;

figure(1); clf;

%%
subplot(211);
hold on;
for iiT = turbs
    plot(smooth(dAdjusted.P(iiT, tspan), xsecP), 'Color', colors(iiT, :));
    plot(smooth(dAdjusted.APE(iiT, tspan), xsecP), '--', 'Color', colors(iiT, :));
end
ylabel('Power [kW]');
grid on;
axis tight;

%%
uRef = mean(dAdjusted.u(e{iiE}.turbineCur, e{iiE}.tRefNormal:e{iiE}.tRefEndNormal));

subplot(212);
hold on;
for iiT = turbs
    %plot(smooth(d.u(iiT, tspan), xsecU), '.', 'Color', colors(iiT, :));
    plot(smooth(f_P2U(dAdjusted.APE(iiT, tspan), dAdjusted.rhoCorrection(tspan)), xsecU), 'Color', colors(iiT, :));
end
ylabel('Wind speed [m/s]');
grid on;
axis tight;

%%
subplot(514);
hold on;
for iiT = turbs
    plot(dAdjusted.omega(iiT, tspan)', 'Color', colors(iiT, :));
end
ylabel('Rotational speed [rpm]');
grid on;
axis tight;