iiEs = [5 8 2 3];
dP = zeros(length(iiEs), 4);
for ii = 1:length(iiEs)
    iiE = iiEs(ii);
    dP(ii, :) = f_predictEffectNextTurbine(e{iiE}, t{iiE});
end

dP(:, 2) = dP(:,2)*1.33;
dP(:, 3) = dP(:,3)*1.54;

bar(1:4, dP);
legend('Measured', 'Jensen', 'Larsen', 'Bontekoning');
xlabel('Experiments');
ylabel('Power Difference T2 [kW]');
grid on;

%% Error percentage
err = zeros(length(iiEs), 3);
for ii=1:length(iiEs)
    err(ii, :) = (dP(ii, 2:end) - dP(ii,1))/dP(ii,1) * 100;
end

figure(13);
bar(1:4, err);
legend('Jensen', 'Larsen', 'Bontekoning');
xlabel('Experiments');
ylabel('Error estimation [%]');
grid on;
%% Error abs
errabs = zeros(length(iiEs), 3);
for ii=1:length(iiEs)
    errabs(ii, :) = (dP(ii, 2:end) - dP(ii,1));
end

figure(14);
bar(1:4, errabs);
legend('Jensen', 'Larsen', 'Bontekoning');
xlabel('Experiments');
ylabel('Error estimation [kW]');
grid on;

meanAbsErrJensen = mean(abs(err(1:4,1)))
meanAbsErrLarsen = mean(abs(err(1:4,2)))
meanAbsErrBontekoning = mean(abs(err(1:4,3)))