clc;

iiEs      = [  2    3  14   4  15   5    8];
TI        = [8.9  8.3 7.6 7.9 9.1 7.9  8.3] / 100;
tPitchIn  = [726 1197 261 261 347 393 2318];
tPitchOut = [980 1469 678 587 624 689 2510];
evalStart = [770 1235 338 296 374 420 2319];
evalEnd   = [949 1420 663 560 620 686 2514];

PD = iiEs*0;
PJ = PD;
PL = PD;

for ii=4
    iiE=iiEs(ii);

    tspan = ((e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd));
    tSmooth = 1;

    tRef = tspan;

    P1  = d.APE(13, tRef);
    P2  = d.APE(12, tRef + e{iiE}.tRefShift(1));
    V0  = f_P2U(P1, d.rhoCorrection(tRef));
    V2  = f_P2U(P2, d.rhoCorrection(tRef));
    c   = d.P(13, tRef) ./ d.APE(13, tRef);
    
    P1n = d.APE(13, (e{iiE}.tRefNormal:e{iiE}.tRefEndNormal) + e{iiE}.tStart);
    P1c = P1;
    
    TI0 = TI(ii);
    

    
    PJc = f_U2P(smooth(V0.*f_Jensen(520, SWP_R, f_CT(V0, c), TI0)', tSmooth), d.rhoCorrection(tRef));
    PJ1 = f_U2P(smooth(V0.*f_Jensen(520, SWP_R, f_CT(V0, 1), TI0)', tSmooth), d.rhoCorrection(tRef));
    PLc = f_U2P(smooth(V0.*f_Larsen(520, SWP_H, SWP_R, f_CT(V0, c), TI0, 'default')', tSmooth), d.rhoCorrection(tRef));
    PL1 = f_U2P(smooth(V0.*f_Larsen(520, SWP_H, SWP_R, f_CT(V0, 1), TI0, 'default')', tSmooth), d.rhoCorrection(tRef));
    
    RWED = d.P(12, tspan + e{iiE}.tRefShift(1)) - t{iiE}.powerNormal(2);
    RWEJ = PJc - PJ1;
    RWEL = PLc - PL1;
    
    disp(['Exp   ' num2str(ii)]);
    disp(['V0    ' num2str(round(mean(V0)*10)/10)]);
    disp(['TI1   ' num2str(round(mean(TI0*1000))/10)]);
    disp(['P1n   ' num2str(round(mean(P1n)))]);
    disp(['P1n   ' num2str(round(mean(P1c)))]);
    disp(['c     ' num2str(100-round(mean(c((tPitchIn(ii):tPitchOut(ii)))*1000))/10)]);
    disp(' ');
    
    f= figure(3); clf;
    
f.Position = [440 400 902 420];
%     subplot(311);
%     hold on;
%     hf = fill([tPitchIn(ii) tPitchIn(ii) tPitchOut(ii) tPitchOut(ii)],[0 12 12 0], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
%     h1 = plot(smooth(V0, 1), 'Color', tudcolor);
%     h2 = plot(smooth(V2, tSmooth), 'Color', tudcolor(2));
%     h3 = plot(smooth(V0.*f_Jensen(520, SWP_R, f_CT(V0, c), TI0)', tSmooth), 'Color', tudcolor(3));
%     h4 = plot(smooth(V0.*f_Jensen(520, SWP_R, f_CT(V0, 1), TI0)', tSmooth), ':', 'Color', tudcolor(3));
%     h5 = plot(smooth(V0.*f_Larsen(520, SWP_H, SWP_R, f_CT(V0, c), TI0, 'default')', tSmooth), 'Color', tudcolor(5));
%     h6 = plot(smooth(V0.*f_Larsen(520, SWP_H, SWP_R, f_CT(V0, 1), TI0, 'default')', tSmooth), ':', 'Color', tudcolor(5));
%     legend([h1 h2 h3 h4], 'Turbine 1', 'Turbine 2 (Measured)', 'Turbine 2 (Jensen)', 'Turbine 2 (Larsen)');
%     grid on;
%     axis tight;
%     ylabel('Wind Speed [m/s]');
%     title(['Experiment ' num2str(ii)]);
%     set(gca, 'XTick', 0:200:8000);
%     
%     subplot(312);
    hold on;
    hf = fill([tPitchIn(ii) tPitchIn(ii) tPitchOut(ii) tPitchOut(ii)],[0 3000 3000 0], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
    plot(P1, ':', 'Color', tudcolor);
    plot(d.P(13, tspan), 'Color', tudcolor);
    plot(P2, 'Color', tudcolor(2));
    plot(P2.*cos((d.alpha(13, tspan) - (d.alpha(12, tspan+e{iiE}.tRefShift(1)) + 12))/180*pi).^3, ':', 'Color', tudcolor(5))
    h3 = plot(PJc, 'Color', tudcolor(3));
    h3 = plot(PJ1, ':', 'Color', tudcolor(3));
    h4 = plot(PLc, 'Color', tudcolor(5));
    h4 = plot(PL1, ':', 'Color', tudcolor(5));
    grid on;
    axis tight;
    ylabel('Power [kW]');
end

%% Uitzoeken probleem exp1-2
figure(7); clf;
subplot(211);
hold on;
plot(1:length(tspan), d.alpha(13, tspan)', 'Color', tudcolor);
plot((1:length(tspan)), d.alpha(12, tspan+e{iiE}.tRefShift(1)) + 12, 'Color', tudcolor(2));
plot(1:length(tspan), (1:length(tspan))*0+211, '--');
set(gca, 'XTick', 0:200:8000);
grid on;
axis tight;
subplot(212);
hold on;
grid on;
axis tight;

%% Overview P2
PD = zeros(1,7);
PJ = PD;
PL = PD;

for ii=1:7
    iiE=iiEs(ii);
    tspan = (e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd);
    tspan = tspan(tPitchIn(ii):tPitchOut(ii));
    P1  = d.APE(13, tspan);
    V0  = f_P2U(P1, d.rhoCorrection(tspan));
    c   = d.P(13, tspan) ./ d.APE(13, tspan);
    iiE=iiEs(ii);
    PD(ii) = mean(d.P(12, tspan + e{iiE}.tRefShift(1)));
    PJ(ii) = mean(f_U2P(V0.*f_Jensen(520, SWP_R, f_CT(V0, c), TI(ii))', d.rhoCorrection(tspan)'));
    PL(ii) = mean(f_U2P(V0.*f_Larsen(520, SWP_H, SWP_R, f_CT(V0, c), TI(ii))', d.rhoCorrection(tspan)'));
end

figure(7);
h = bar([PJ;PD;PL]');
set(h(1), 'FaceColor', tudcolor);
set(h(2), 'FaceColor', tudcolor(2));
set(h(3), 'FaceColor', tudcolor(3));
legend('Jensen', 'Data', 'Larsen');
grid on;

figure(8);
title('Error');

h = bar([PJ;PL]' - [PD;PD]');
set(h(1), 'FaceColor', tudcolor);
set(h(2), 'FaceColor', tudcolor(3));
legend('Jensen', 'Larsen');
grid on;

%% Overview error RWE

tSmooth = 1;
    
RWED = zeros(1,7);
RWEJ = RWED;
RWEL = RWED;

for ii=7
    iiE=iiEs(ii);
    
    tspan = ((e{iiE}.tStart):(e{iiE}.tStart+e{iiE}.tEnd));
    tRef = tspan;
    
    P1  = d.APE(13, tRef);
    V0  = f_P2U(P1, d.rhoCorrection(tRef));
    c   = d.P(13, tRef) ./ d.APE(13, tRef);
    
    RWED = d.P(12, tspan + e{iiE}.tRefShift(1)) - t{iiE}.powerNormal(2);
    
    PJc = f_U2P(smooth(V0.*f_Jensen(520, SWP_R, f_CT(V0, c), TI0)', tSmooth), d.rhoCorrection(tRef));
    PJ1 = f_U2P(smooth(V0.*f_Jensen(520, SWP_R, f_CT(V0, 1), TI0)', tSmooth), d.rhoCorrection(tRef));
    PLc = f_U2P(smooth(V0.*f_Larsen(520, SWP_H, SWP_R, f_CT(V0, c), TI0, 'default')', tSmooth), d.rhoCorrection(tRef));
    PL1 = f_U2P(smooth(V0.*f_Larsen(520, SWP_H, SWP_R, f_CT(V0, 1), TI0, 'default')', tSmooth), d.rhoCorrection(tRef));
    
    RWEJ = PJc - PJ1;
    RWEL = PLc - PL1;
    
    
    figure(5); clf;
    hold on;
    hf = fill([tPitchIn(ii) tPitchIn(ii) tPitchOut(ii) tPitchOut(ii)],[min(RWED) max(RWEJ+100) max(RWEJ+100) min(RWED)], tudcolor(4), 'EdgeColor', 'none'); alpha(hf, 0.5)
    plot(RWED, 'Color', tudcolor(2));
    plot(RWEJ, 'Color', tudcolor(3));
    plot(RWEL, 'Color', tudcolor(5));
    grid on;
    axis tight;
    ylabel('Wake Loss Reduction [kW]');
    xlabel('Time [s]');
end