iiE=3;
turbs = [13 12];

if iiE == 3
    Pnormal    = 200;
    Pcurtailed = 1900;
    tLeft  = 93:134;
    tRight = 600;
    wnormal = 8;
    wcurtailed = 15.5;
    tShift = [0 67];
    tCrop = 1100;
    tMax = 600;
elseif iiE == 2
    Pnormal    = 800;
    Pcurtailed = 1330;
    tLeft  = 113:143;
    tRight = 465;
    wnormal = 12;
    wcurtailed = 14;
    tShift = [0 112];
    tCrop = 100;
    tMax  = 600;
end

tspan = (e{iiE}.tStart+tCrop):(e{iiE}.tStart+e{iiE}.tEnd);

E_rpm     = 1/2*19*10^6*(wcurtailed^2-wnormal^2)*(2*pi/60)^2

E_added12 = trapz(d.P(12, tspan(1:470)+tShift(2))-Pnormal)
tRight = round((E_added12) / (Pcurtailed-Pnormal)+tLeft(1)):tRight;

E_missing_left = trapz(tLeft, (Pcurtailed-d.P(12, tspan(tLeft)+tShift(2)))*1000)
E_missing_right = trapz(tRight, (d.P(12, tspan(tRight)+tShift(2))-Pnormal)*1000)

figure(1); clf;
subplot(211);
hold on;
plot(d.APE(13, tspan+tShift(1)), '--', 'Color', tudcolor(1));
for ii = 1:length(turbs)
    iiT = turbs(ii);
    plot(d.P(iiT, tspan+tShift(ii)), 'Color', tudcolor(ii));
end
plot([1 1]*tLeft(1), [0 3000], '--', 'Color', tudcolor(3));
plot([1 1]*tRight(1), [0 3000], '--', 'Color', tudcolor(3));
%left
hf = fill([tLeft flip(tLeft)], [(tLeft)*0+Pcurtailed flip(d.P(12, tspan(tLeft)+tShift(2)))], tudcolor(2), 'EdgeColor', 'none');
%right
hf = fill([tRight flip(tRight)], [d.P(12, tspan(tRight)+tShift(2)) (tRight)*0+Pnormal], tudcolor(2), 'EdgeColor', 'none'); 
legend('Turbine #1 (APE)', 'Turbine #1', 'Turbine #2');
ylabel('Power [kW]');
grid on;
axis tight;
xlim([0 tMax]);

subplot(212);
hold on;
for ii = 1:length(turbs)
    iiT = turbs(ii);
    plot(d.omega(iiT, tspan+tShift(ii)), 'Color', tudcolor(ii));
end
% Left
hf = fill([tLeft flip(tLeft)], [d.omega(12, tspan(tLeft)+tShift(2)) (tLeft)*0+16], tudcolor(2), 'EdgeColor', 'none');
% Right
hf = fill([tRight flip(tRight)], [d.omega(12, tspan(tRight)+tShift(2)) (tRight)*0+wnormal], tudcolor(2), 'EdgeColor', 'none');

plot([1 1]*tLeft(1), [wnormal-1 round(wcurtailed)+1], '--', 'Color', tudcolor(3));
plot([1 1]*tRight(1), [wnormal-1 round(wcurtailed)+1], '--', 'Color', tudcolor(3));
ylabel('Rotational Speed [rpm]');
grid on;
axis tight;
xlim([0 tMax]);
xlabel('Time [s]');