iiEs = [2 3 14 4 15 5 8];


tNormalStart = [1000 3500 1500 2709 2730 1800 2100];
tNormalEnd   = [2000 4000 2000 3060 3150 2400 3430];
tCurStart    = [2750 3212 2300 2369 2400 2400 3750];
tCurEnd      = [2930 3425 2650 2709 2550 2720 4500];

for ii=5
    figure(1); clf;
    iiE = iiEs(ii); 
    tspan = (-2500:e{iiE}.tEnd) + e{iiE}.tStart + 500;

    TIx = f_TI(d.u(12, tspan+e{iiE}.tRefShift(1)), d.APE(12, tspan+e{iiE}.tRefShift(1)), d.rhoCorrection(tspan+e{iiE}.tRefShift(1)), 60);
    TI13 = f_TI(d.u(13, tspan), d.APE(13, tspan), d.rhoCorrection(tspan), 60);
    TIplot = TIs(13, tspan)*100;
    TIplot(d.P(13,tspan) < 800) = nan;
    
    subplot(211);
    hold on;
    plot(TI14(tspan-220)*100, 'Color', tudcolor(3))
    plot(TIplot, 'Color', tudcolor);
    plot(f_TI(d.u(12, tspan), d.APE(12, tspan), d.rhoCorrection(tspan), 600)*100, 'Color', tudcolor(4));
    plot(TIx*100, 'Color', tudcolor(2));
    
    plot(TIs(13, tspan)*100, ':', 'Color', tudcolor);
    grid on;
    axis tight;

    subplot(212);
    hold on;
    plot(d.P(13, tspan), 'Color', tudcolor);
    plot(d.APE(13, tspan), ':', 'Color', tudcolor);
    grid on;
    axis tight;
    
    disp('c14 c12 n14 n13  n12');
    disp([  num2str(round(mean(TI14(tspan(tCurStart(ii):tCurEnd(ii))-220))*1000)/10) ...
        ' ' num2str(round(mean(TIx(tCurStart(ii):tCurEnd(ii)))*1000)/10) ...
        ' ' num2str(round(nanmean(TI14(tspan(tNormalStart(ii):tNormalEnd(ii))-220))*1000)/10) ...
        ' ' num2str(round(nanmean(TI13(tNormalStart(ii):tNormalEnd(ii)))*1000)/10) ...
        ' ' num2str(round(nanmean(TIx(tNormalStart(ii):tNormalEnd(ii)))*1000)/10) ...
        ]);
end
%%
TIref = [8.9  8.3 8.6 7.9 7.7 7.9  8.3 ];
TI1   = [10.8 9.2  8.4 8.7 8.2 8.7  11.7];
TI2n  = [28.9 35.7 28.7 21.0 25.6 23.3 28.9];
TI2c  = [8.6  12.7 12.6 8.7 12.4 11.7 15.3];

TI3d  = zeros(7, 2, 3);
TI3d(:,1,1) = TIref;
TI3d(:,1,2) = TI1 - TIref;
TI3d(:,2,1) = TIref;
TI3d(:,2,2) = TI2c - TIref;
TI3d(:,2,3) = TI2n - TI2c;

figure(2); clf;
hold on;
h = plotBarStackGroups(TI3d, {'1', '2', '3', '4', '5', '6', '7'});
set(h(1), 'FaceColor', tudcolor, 'EdgeColor', 'none');
set(h(2), 'FaceColor', tudcolor(1), 'EdgeColor', 'none');
set(h(3), 'FaceColor', tudcolor(2), 'EdgeColor', 'none');
set(h(4), 'FaceColor', tudcolor(3), 'EdgeColor', 'none');
set(h(5), 'FaceColor', tudcolor(1), 'EdgeColor', 'none');
set(h(6), 'FaceColor', tudcolor(4), 'EdgeColor', 'none');
set(gca, 'ygrid', 'on');
xlabel('Experiment [#]');
ylabel('Turbulence Intensity [%]');
legend([h(1) h(3) h(4) h(6)], 'Free stream', 'Turbine 1', 'Turbine 2 (curtailed)', 'Turbine 2 (normal)');