iiE = 8;
tspan = e{iiE}.tStart:(e{iiE}.tStart+e{iiE}.tEnd);

tref2 = 1600:2000;
tTest2 = 600:1200;
tref3 = 1500:2000;
tTest3 = 1140:1550;
tref5 = 1:380;
tTest5 = 300:700;
tref8 = 1:1500;
tTest8 = 1500:2700;

tref = tref8;
tTest = tTest8;

%%
nShift = round(520./(1/6*f_P2U(d.APE(13, tspan), d.rhoCorrection(tspan)) + 1/2*f_P2U(d.APE(12, tspan), d.rhoCorrection(tspan))));
shiftedTspan = tspan + nShift;
nShift2 = nShift + round(520./(1/6*f_P2U(d.APE(12, tspan+nShift), d.rhoCorrection(tspan)) + 1/2*f_P2U(d.APE(11, tspan+nShift), d.rhoCorrection(tspan))));
    
%% T2
% TI=f_TI(d.u(13,:), d.APE(13,:), d.rhoCorrection, 60);
figure(1); clf;
tShift = e{iiE}.tRefShift(1);
V0  = f_P2U(d.APE(13,tspan), d.rhoCorrection(tspan));
def = f_P2U(d.APE(12,tspan+nShift), d.rhoCorrection(tspan)) ./ V0;
def2 = f_P2U(d.APE(11,tspan+nShift), d.rhoCorrection(tspan)) ./ V0;
c   = d.P(13,tspan)./d.APE(13,tspan);
x   = 520;
CT  = f_CT(V0, c)';
a   = 1/2 - sqrt(1-CT)/2;
k   = SWP_R/x*(sqrt((1-sqrt(1-CT))./abs(1-def))-1);
k2   = SWP_R/x*(sqrt((1-sqrt(1-CT))./abs(1-def2))-1);
kmean = mean(k(tref));
kmean2 = mean(k2(tref));

V0(V0>11) = nan;

u_Jensen = f_JensenMultiple([0 1 2 3 4]*x, SWP_R, [1 1 1 1 1], V0, [1 1 1 1 1]*kmean/.4)';
P_Jensen = f_U2P(V0.*u_Jensen(2), d.rhoCorrection(tspan)');
P_Jensen2 = f_U2P(V0.*u_Jensen(3), d.rhoCorrection(tspan)');
P_Larsen = f_U2P(V0.*f_Larsen(x, SWP_H, SWP_R, mean(CT(tref)), mean(TI(tref)))', d.rhoCorrection(tspan)');

subplot(311);
hold on;
plot(f_P2U(d.APE(13, tspan), d.rhoCorrection(tspan)));
plot(f_P2U(d.APE(12, shiftedTspan), d.rhoCorrection(tspan)));
plot(V0.*(1-(1 - sqrt(1-CT)) ./ (1 + kmean * x / SWP_R).^2));
plot(V0.*(1-(1 - sqrt(1-mean(CT(tref)))) ./ (1 + kmean * x / SWP_R).^2));
plot(smooth(d.u(13,tspan), 30));
legend('APE13', 'APE12', 'V12 model', 'V12_{no curtailment} model');
grid on;
axis tight;
subplot(312);
hold on;
plot(d.P(13, tspan), 'Color', tudcolor);
plot(d.APE(13, tspan), ':', 'Color', tudcolor);
plot(d.P(12, tspan+nShift), 'Color', tudcolor(2));
plot([1 length(tspan)], [1 1]*mean(d.P(12, tspan(tref)+nShift2(tref))), '--', 'Color', tudcolor(2));
plot(P_Jensen2, 'Color', tudcolor(2));
%plot(tTest, P_Larsen(tTest), 'Color', tudcolor(3));
legend('P13', 'APE13', 'P12', 'P12 mean', 'Jensen', 'Larsen');
axis tight;
grid on;
subplot(313);
hold on;
plot(tTest, P_Jensen(tTest) - mean(d.P(12, tspan(tref)+nShift(tref))));
axis tight;
grid on;
%% All Turbines
modelTIs = [TI; TI12; TI11; TI10; TI9];
modelMeanTI = zeros(1,5);
nShift = 0;
turbs = 13:-1:9;
for ii=1:length(turbs)
    iiT = turbs(ii);
    modelMeanTI(ii) = mean(modelTIs(ii, tspan(tref)+nShift))*.4/.4;
    nShift = nShift + round(520./(1/6*f_P2U(d.APE(iiT+1, tspan(tref)), d.rhoCorrection(tspan(tref))) + 1/2*f_P2U(d.APE(iiT, tspan(tref)), d.rhoCorrection(tspan(tref)))));
end
u_Jensen = f_JensenMultiple([0 1 2 3 4]*x, SWP_R, [1 1 1 1 1], V0, modelMeanTI)';
u_Larsen = f_LarsenMultiple([0 1 2 3 4]*x, SWP_H, SWP_R, [1 1 1 1 1], V0, modelMeanTI)';
nShift = 0;
figure(2); clf;
hold on;
plot(d.P(13, tspan), 'Color', tudcolor);
plot(d.APE(13, tspan), ':', 'Color', tudcolor);
PmeansData = zeros(1, 4);
PJmeansModels = zeros(1, 4);
PLmeansModels = zeros(1, 4);
turbs = 12:-1:9;
for ii=1:length(turbs)
    iiT = turbs(ii);
    nShift = nShift + round(520./(1/6*f_P2U(d.APE(iiT+1, tspan), d.rhoCorrection(tspan)) + 1/2*f_P2U(d.APE(iiT, tspan), d.rhoCorrection(tspan))));
    
    PJmodel = f_U2P(V0.*u_Jensen(ii+1), d.rhoCorrection(tspan)');
    PLmodel = f_U2P(V0.*u_Larsen(ii+1), d.rhoCorrection(tspan)');
    
    plot(d.P(iiT, tspan+nShift), 'Color', tudcolor(ii+1));
    plot([1 length(tspan)], [1 1]*mean(d.P(iiT, tspan(tref)+nShift(tref))), '--', 'Color', tudcolor(ii+1));
    plot(PLmodel, 'Color', tudcolor(ii+1), 'LineWidth', 3);
    
    PmeansData(ii)   = mean(d.P(iiT, tspan(tref)+nShift(tref)));
    PJmeansModels(ii) = mean(PJmodel(450:650));
    PLmeansModels(ii) = mean(PLmodel(450:650));
end
grid on;