nE = 1000;

u  = 1:16;
ns5 = zeros(nE,15);
ns10 = zeros(nE,15);
ns20 = zeros(nE,15);

for iiE = 1:nE
    for ii = 1:length(u)
        data5  = normrnd(u(ii), u(ii)*.05, 1, 600);
        data10 = normrnd(u(ii), u(ii)*.1, 1, 600);
        data20 = normrnd(u(ii), u(ii)*.2, 1, 600);
        
        ns5(iiE, ii) = sum(data5<u(ii)-.5 | data5>u(ii)+.5)/600;
        ns10(iiE, ii) = sum(data10<u(ii)-.5 | data10>u(ii)+.5)/600;
        ns20(iiE, ii) = sum(data20<u(ii)-.5 | data20>u(ii)+.5)/600;
    end
end
%%
figure;
hold on;
plot(u, mean(ns5)*100);
plot(u, mean(ns10)*100);
plot(u, mean(ns20)*100);
g = gca;
g.XTick = u((1:8)*2);
axis tight;
legend('TI = 5%', 'TI = 10%', 'TI = 20%', 'Location', 'NorthWest');
grid on;
xlabel('Wind Speed [m/s]');
ylabel('Probability of error > 0.5 m/s [%]');
formatPlot