function [ d ] = f_Jensen( x, R0, CT, TI, modelType )
    if(nargin < 5)
        modelType = 'calibrated';
    end
%%
    if(strcmp(modelType, 'default'))
        % note, first and last to points are extrapolation
        TIs = [0 .08  .10  .13  .15  .16  .18  .21  .24  .29  .60];
        ks  = [0 .040 .052 .063 .075 .083 .092 .100 .108 .117 .15]*.7;

        k = interp1(TIs, ks, max(0.04, TI));
    else
        k = 0.4*TI;
    end

    d = 1-(1 - sqrt(1-CT(:))) ./ (1 + k(:) * x / R0).^2;
end

