function [ a ] = f_JensenMultiple(x, R0, c, V0, TI, modelType )
    if(nargin < 6)
        modelType = 'calibrated';
    end
    nT = length(c);
    a  = ones(length(V0), nT);

    for iT = 1:nT
        u = V0 * a(iT);
        CT = f_CT(u, c(iT));
        
        for iiT = (iT + 1):nT
            aNew   = f_Jensen(x(iiT) - x(iT), R0, CT, TI(iT), modelType);
            a(:, iiT) = f_mergeWake(a(:, iiT), aNew, 'momentum');
        end
    end
end

