function [ d ] = f_Larsen( x, H, R, CT, TI, modelType )
    if(nargin < 6)
        modelType = 'default';
    end
%%    
    if(strcmp(modelType, 'default'))
        a1 = .37;
        a2 = 0.797853685;
        a3 = -.57;
        a4 = 0.15;
        b1 = 15.6298;
    else
        a1 = .37;
        a2 = .797853685;
        a3 = -.5;
        a4 = .15;
        b1 = 15.6298;
    end
    
    A = pi*R^2;
    %TI = max(0.04, TI(:));
    CT = CT(:);

    if(CT ~= 0)
        Deff = 2*R*sqrt((1+sqrt(1-CT))./(2*sqrt(1-CT)));
        Rnb  = max(1.08*2*R, 1.08*2*R+21.7*2*R*(TI-.05));
        R95  = a1*exp(a2*CT.^2+a3*CT+a4).*(b1*TI+1)*2*R;
        x0 = 9.6*2*R ./ ((2*R95./Deff).^3-1);
        c1 = (Deff/2).^(5/2).*(105/(2*pi))^(-1/2).*(CT*A.*x0).^(-5/6);

        d = CT*0;
        for r = R*linspace(0,1,100)
            d =d + 1/100*(1- 1/9*(CT*A.*(x+x0).^-2).^(1/3) .* (r.^(3/2).*(3*c1.^2.*CT*A.*(x+x0)).^(-1/2)-(35/(2*pi))^.3.*(3*c1.^2).^(-1/5)).^2);
        end
    else
        d = 1;
    end
end

