function [ a ] = f_LarsenMultiple(x, H, R0, c, V0, TI, modelType )
    if(nargin < 7)
        modelType = 'calibrated'
    end
    nT = length(c);
    a  = ones(1, nT);

    for iT = 1:nT
        u  = V0 * a(iT);
        CT = f_CT(u, c(iT));
        %CT = min(0.95,CT)*1.5);
        for iiT = (iT + 1):nT
            aNew   = f_Larsen(x(iiT) - x(iT), H, R0, CT, TI(iT), modelType);
            a(iiT) = f_mergeWake(a(iiT), aNew);
        end
    end
end

