function [ windspeed ] = f_P2U( Pin, rhoCorrection)
    %% Define Interpolation Vectors
    delegate;
    
    P = SWP_P(2:12);
    U = SWP_U(2:12);
    U = [U(P<3000) min(SWP_U(SWP_P==3000))];
    P = [P(P<3000) 3000];
    
    %% Interpolate
    windspeed = interp1(P, U, Pin, 'pchip');
    windspeed(Pin<0) = 0;
    windspeed(Pin>SWP_Prated) = SWP_Urated;
    
    %% Density Correction
    windspeed = windspeed(:)' .* rhoCorrection(:)';
end