function [ power ] = f_P2U( Uin, rhoCorrection )
    %% Define Interpolation Vectors
    delegate;
    
    P = SWP_P(SWP_P>0);
    U = SWP_U(SWP_U>0);
    U = [U(P<3000) min(SWP_U(SWP_P==3000))];
    P = [P(P<3000) 3000];
    
    SWP_Ucutin = min(SWP_U);
    SWP_Ucutout = max(SWP_U);
    SWP_Prated = max(SWP_P);
    
    Uin = Uin ./ rhoCorrection;
    
    %% Interpolate
    power = interp1(U, P, Uin, 'pchip');
    power(Uin<SWP_Ucutin) = 0;
    power(Uin>SWP_Urated) = SWP_Prated;
    power(Uin>SWP_Ucutout) = 0;
    power(power<0) = 0;
end