function [ d ] = f_mergeWake( d1, d2, method )
    if(nargin < 3)
        method = 'momentum';
    end
    
    if(strcmp(method, 'momentum'))
        d = 1-sqrt((1-d1).^2 + (1-d2).^2);
    elseif(strcmp(method, 'energy'))
        d   = ones(1, size(d1, 1));
        dsq = zeros(1, size(d1, 1));
        for iT=2:size(d1, 1)
            for iiT=1:(iT-1)
                dsq(iT) = dsq(iT) + (1-d1(iiT, iT))^2;
            end
            d(iT) = 1-sqrt(dsq(iT));
        end
    elseif(strcmp(method, 'mean'))
        d = mean([d1 d2]);
    elseif(strcmp(method, 'multiply'))
        d = d1*d2;
    elseif(strcmp(method, 'max'))
        d = max(d1, d2);
    elseif(strcmp(method, 'min'))
        d = min(d1, d2);
    elseif(strcmp(method, '2'))
        d = d2;
    end
end

