clear all;
close all;
delegate;

CT = .7;
TI = .10;
R0 = SWP_R;
H  = 95;
r  = 0;

x = (1:10)*520;
CTs = [.1 .4 .7 .9 .9];
colors = lines(length(CTs));

figure;
hold on;
grid on;
for ii = 1:length(CTs);
    l = f_Larsen(x, H, R0, CTs(ii), TI);
    j = f_Jensen(x, R0, CTs(ii), TI);

    plot(l, 'Color', colors(ii, :), 'DisplayName', ['Larsen (' num2str(CTs(ii)) ')']);
    plot(j, '--', 'Color', colors(ii, :), 'DisplayName', ['Jensen (' num2str(CTs(ii)) ')']);
end
legend(gca, 'show');