%% Clear Workspace
clear all;
close all;
clc;

%% Coordinates
d = {(0:12)*520, (0:16)*416, (0:17)*416}; %% {N, W, E}
delegate;

%% Calculated Values
nG = length(d);
nT = zeros(1, nG);
for iG = 1:nG
    nT(iG) = length(d{iG});
end

%% Jensen
TI = 0.20;
V0 = 6;

a  = cell(1, nG);

for iG = 1:nG
    c = ones(size(d{iG}));
    a{iG} = f_JensenMultiple(d{iG}, SWP_R, c, V0, TI);
end

if(true)
    figure;
    hold on;
    plot(a{1}, '-x')
    plot(a{3}, '-x')
    plot(a{2}, '-x')
    axis tight;
end
%% Jensen All Curtailed
a = cell(length(CT_SWP), 3);
for iG = 1:nG
    for iCT = length(CT_SWP):-1:1
        for iT = 1:nT(iG)
            if(iT > 1)
                a{iCT, iG}(iT) = 1 - (1-sqrt(1-CT_SWP(iCT))) / (1 + k * d{iG}(iT) / R)^2;
                a{iCT, iG}(iT) = a{iCT, iG}(iT) * a{iCT, iG}(iT-1);
            else
                a{iCT, iG}(iT) = 1;
            end
        end
    end
end

if(true)
    figure;
    hold on;
    for iCT=length(CT_SWP):-1:1
        plot(a{iCT, 3}, 'DisplayName', num2str(CT_SWP(iCT)));
    end
    legend(gca, 'show');
    axis tight;
end

%% Jensen 10th Curtailed (u=11s=m/s)
a  = zeros(1,18);
P  = zeros(1,18);
cP = zeros(1,18);
V0 = 9;

CT = ones(1,18)*.7;

for iT = 1:nT(3)
    if(iT > 1)
        c = 1 - CT(iT) / .7;
        a(iT) = 1 - (1-sqrt(1-CT(iT-1))) / (1 + k * d{3}(iT) / R)^2;
        a(iT) = 1-sqrt((1-a(iT))^2 + (1-a(iT-1))^2);
        
        if(CT(iT - 1) == 0)
            a(iT) = 1 - (1-sqrt(1-CT(iT-2))) / (1 + 2*k * d{3}(iT) / R)^2;
            a(iT) = 1-sqrt((1-a(iT))^2 + (1-a(iT-2))^2);
        end
    else
        a(iT) = 1;
        c=0;
    end
    cP(iT) = 0.35*(1-c)*(1+sqrt(1-0.7*(1-c)));
    P(iT) = 2.2* cP(iT) * (a(iT)*V0)^3;
end

if(true)
    figure;
    hold on;
    plot(a, '-x')
    axis tight;
    
    figure;
    hold on;
    plot(P, '-x')
    axis tight;
end

%% Mathematical
if(false)
    figure;
    subplot(221); hold on; grid on; xlabel('Curtailment Factor [-]'); ylabel('AP Factor [-]'); title('Linear');
    subplot(222); hold on; grid on; xlabel('Curtailment Factor [-]'); ylabel('AP Factor [-]'); title('Square Root');
    subplot(223); hold on; grid on; xlabel('Curtailment Factor [-]'); ylabel('AP Factor [-]'); title('Square');
    subplot(224); hold on; grid on; xlabel('Curtailment Factor [-]'); ylabel('AP Factor [-]'); title('Cubic');
    c = 0:.01:1;
    for Kw=.1:.3:1;
        subplot(221); Kc = c; Kx=Kw./c-Kc*Kw./c+Kc*Kw; plot(c, (1-c)*Kw.*Kc + c.*Kx);
        subplot(222); Kc = sqrt(c); Kx=Kw./c-Kc*Kw./c+Kc*Kw; plot(c, (1-c)*Kw.*Kc + c.*Kx);
        subplot(223); Kc = c.^2; Kx=Kw./c-Kc*Kw./c+Kc*Kw; plot(c, (1-c)*Kw.*Kc + c.*Kx);
        subplot(224); Kc = c.^3; Kx=Kw./c-Kc*Kw./c+Kc*Kw; plot(c, (1-c)*Kw.*Kc + c.*Kx);
    end;
    %%
    figure; grid on; hold on;
    Kpc = 1:.01:2;
    for c=.1:.1:1
        Kcc = (1-1/c)*Kpc + 1/c
        plot(Kpc, Kcc);
    end
end
ylim([0 2]);