%% Clear Workspace
clear all;
close all;
clc;

%% Parameters
R0 = 54;
nT = 10;

%% CT Curve
if(false)
    figure;
    hold on;
    grid on;

    V0 = 3:.1:25;

    for c = 0:.1:1
        plot(V0, f_CT(V0, c));
    end
end

%% Jensen
if(false)
    f_GUI()
end
figure(2);
g = gca;
data = g.Children;

figure(1); subplot(211);
plot(data(1).XData(1:10), data(1).YData(1:10));
plot(data(2).XData(1:10), data(2).YData(1:10));
plot(data(3).XData(1:10), data(3).YData(1:10));
plot(data(4).XData(1:10), data(4).YData(1:10));
plot(data(5).XData(1:10), data(5).YData(1:10));

%% Delta Pc
TI = .20;
x  = 520;
V0 = 5;
R0 = 54;

mask = '1111111111111111';
Ps = zeros(1, bin2dec(mask));

for ii = 1:bin2dec(mask)
    mask = sprintf('%016s', dec2bin(ii));
    c = [bin2dec(mask(1:4)) bin2dec(mask(5:8)) bin2dec(mask(9:12)) bin2dec(mask(13:16))] / 15;
    a = f_JensenMultiple(x, R0, c, V0, TI);
    
    Ps(ii) = sum(f_U2P(V0*a) .* c);
    
    clc;
    disp([num2str(round(ii/length(Ps)*100)) '%']);
end
% For 4 turbines, optimum is: c=[1 1 .80 .93];