clear all;
close all;
delegate;

N = 5 ; % dimension polynomial

b = P_SWP(1:9)' *1;
A = zeros(length(b), N+1);

V = V_SWP(1:9);
for ii = 1:length(b)
    for iiN = 0:N
        A(ii, iiN+1) = 1/(iiN+1)*((V(ii)+.5)^(iiN+1)-(V(ii)-.5).^(iiN+1));
    end
end

x = inv(A'*A)*A'*b;

figure;
hold on;
bar(V_SWP(1:9), P_SWP(1:9))

du = .01;
u = 3.5:du:10.5;
p = u*0;
for iiN = 0:N
    p = p + x(iiN+1)*u.^iiN;
end

%% Line Chart Both Methods
pinterp = interp1(V_SWP(1:9), P_SWP(1:9), u, 'pchip');

hold on;
plot(u, p);
plot(u, pinterp);

%% Bar Chart Both Method
if(true)
    Vnew = V_SWP(1:9);
    Pnew = Vnew * 0;
    Pinterp = Vnew * 0;
    for ii = 1:length(Vnew)
        Pnew(ii) = sum(p(u > Vnew(ii) - .5 & u <= Vnew(ii) + .5))*du;
        Pinterp(ii) = sum(pinterp(u > Vnew(ii) - .5 & u <= Vnew(ii) + .5))*du;
    end
    bar(Vnew, Pnew, 'r');
end

%% Error
figure;
hold on;
bar(Vnew(2:8), [Pnew(2:8) - P_SWP(2:8); Pinterp(2:8) - P_SWP(2:8)]');
sum((Pnew(2:8) - P_SWP(2:8)))
sum((Pinterp(2:8) - P_SWP(2:8)))