close all;
clc;


TI = .16;
x  = 520;
V0 = 10.75;
R0 = 54;

c0  = ones(1, 10);
a0  = f_JensenMultiple(x, R0, c0, V0, TI);
P0  = f_U2P(V0*a0) .* c0;

%% 1a
f = figure;
set(f, 'Position', [0 0 1440 600]);
axis tight;
hold on;
grid on;

c4  = ones(1, 10);
c4(1) = 0.5;
a4  = f_JensenMultiple(x, R0, c4, V0, TI);
P4  = f_U2P(V0*a4) .* c4;

cla
plot(P0 / P0(1));
plot(P4 / P0(1));
legend('Normal Conditions', 'Curtailed Conditions');
xlabel('Turbine [#]');
ylabel('Relative Power [-]');
title('First Turbine Curtailed');
set(gca,'fontsize',18)

disp(['Power: ' num2str(round(sum(P4))) ...
    ' | Raw curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P0.*c4)))) ...
    ' | Curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P4))))])

%% 1b
f = figure;
set(f, 'Position', [0 0 1440 600]);
axis tight;
hold on;
grid on;
c4  = ones(1, 10);
c4(2) = 0.5;
a4  = f_JensenMultiple(x, R0, c4, V0, TI);
P4  = f_U2P(V0*a4) .* c4;

cla
plot(P0 / P0(1));
plot(P4 / P0(1));
legend('Normal Conditions', 'Curtailed Conditions');
xlabel('Turbine [#]');
ylabel('Relative Power [-]');
title('Second Turbine Curtailed');
set(gca,'fontsize',18)

disp(['Power: ' num2str(round(sum(P4))) ...
    ' | Raw curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P0.*c4)))) ...
    ' | Curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P4))))])


%% 1c
f = figure;
set(f, 'Position', [0 0 1440 600]);
axis tight;
hold on;
grid on;
c4  = ones(1, 10);
c4(1) = 0.5;
c4(2) = 0.5;
a4  = f_JensenMultiple(x, R0, c4, V0, TI);
P4  = f_U2P(V0*a4) .* c4;

cla
plot(P0 / P0(1));
plot(P4 / P0(1));
legend('Normal Conditions', 'Curtailed Conditions');
xlabel('Turbine [#]');
ylabel('Relative Power [-]');
title('Both Turbines Curtailed');
set(gca,'fontsize',18)

disp(['Power: ' num2str(round(sum(P4))) ...
    ' | Raw curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P0.*c4)))) ...
    ' | Curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P4))))])


%% 3 c=10
f = figure;
set(f, 'Position', [0 0 1440 600]);
axis tight;
hold on;
grid on;
c4  = ones(1, 10)*.9;
a4  = f_JensenMultiple(x, R0, c4, V0, TI);
P4  = f_U2P(V0*a4) .* c4;

cla
plot(P0 / P0(1));
plot(P4 / P0(1));
legend('Normal Conditions', 'Curtailed Conditions');
xlabel('Turbine [#]');
ylabel('Relative Power [-]');
title('High TI, 10% curtailment');
set(gca,'fontsize',18)

disp(['Power: ' num2str(round(sum(P4))) ...
    ' | Raw curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P0.*c4)))) ...
    ' | Curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P4))))])
%% 3 low TI
f = figure;
set(f, 'Position', [0 0 1440 600]);
axis tight;
hold on;
grid on;
c4  = ones(1, 10)*.5;
a4  = f_JensenMultiple(x, R0, c4, V0, TI);
P4  = f_U2P(V0*a4) .* c4;

cla
plot(P0 / P0(1));
plot(P4 / P0(1));
legend('Normal Conditions', 'Curtailed Conditions');
xlabel('Turbine [#]');
ylabel('Relative Power [-]');
title('High TI, 50% curtailment');
set(gca,'fontsize',18)

disp(['Power: ' num2str(round(sum(P4))) ...
    ' | Raw curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P0.*c4)))) ...
    ' | Curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P4))))])
%% 3 low TI
TI = 0.08;

c0  = ones(1, 10);
a0  = f_JensenMultiple(x, R0, c0, V0, TI);
P0  = f_U2P(V0*a0) .* c0;

f = figure;
set(f, 'Position', [0 0 1440 600]);
axis tight;
hold on;
grid on;
c4  = ones(1, 10)*.9;
a4  = f_JensenMultiple(x, R0, c4, V0, TI);
P4  = f_U2P(V0*a4) .* c4;

cla
plot(P0 / P0(1));
plot(P4 / P0(1));
legend('Normal Conditions', 'Curtailed Conditions');
xlabel('Turbine [#]');
ylabel('Relative Power [-]');
title('Low TI, 10% curtailment');
set(gca,'fontsize',18)

disp(['Power: ' num2str(round(sum(P4))) ...
    ' | Raw curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P0.*c4)))) ...
    ' | Curtailed: ' num2str(sprintf('%05d', round(sum(P0) - sum(P4))))])