%% Clear Workspace
clear all;
close all;
clc;

%% Input Parameters
jensenInput;

%% Model
ab = nchoosek(.21:.01:.33, Nturb);
a  = zeros(length(ab)*factorial(Nturb),Nturb);
for ii=1:length(ab)
    a(((ii-1)*factorial(Nturb)+1):ii*factorial(Nturb),:) = perms(ab(ii,:));
end

%%
a = [1/3 1/3 1/3;1/3 1/3 1/3;1/3 1/3 1/3];
P = zeros(length(a), Nturb);
for ii=1:length(a)
    
    %% Flow Field
    A       = jensenMultipleF(ones(size(zTurb)).*a(ii,:));

    %% Power Calculation
    P(ii,:) = powerFromField(A, ones(size(zTurb)).*a(ii,:));
    
    %% Update User
    clc;
    disp(['n = ' num2str(length(a)) ': ' num2str(round(ii / length(a)*100, 2)) '% ']);
end

%% Plot
plot(sum(P,2));

% figure;
% subplot(211);
% surf(1:Nturb,a, P/10^6);
% xlabel('Turbine [-]');
% ylabel('a [-]');
% zlabel('Power [MW]');
% subplot(212);
% plot(a, sum(P/10^6,2));
% xlabel('a [-]');
% ylabel('P [MW]');

%% Plot
% figure;
% 
% subplot(211);
% hold on;
% surf(Z,Y, A);
% shading interp;
% xlabel('z [#D]');
% ylabel('y [#D]');
% zlabel('u [m/s]');
% view(0,90);
% axis tight;
% colorbar;
% set(gca, 'CLim', [0, 1]);
% zlim([0 1]);
% 
% subplot(212);
% plot(P)