function [ Aout ] = jensenF( Z, Y, Ain, z0, y0, a )
    %% Input Parameters
    jensenInput;

    %% Single Wake Model
    r  = R + k * (z - z0);
    K  = R ./ r;
    Az = 1 - 2 * a * K.^2;

    A  = repmat(Az, length(y), 1);

    %% Apply Mask
    M = abs(Y-y0) < R + k*(Z - z0) & Z >= z0;
    A = A .* M + 1.*~M;
    
    Aout = A .* Ain;
end

