%% Load Data
V = ** removed **
P = ** removed **
 
Ct = ** removed **
   
%% Calculate Actual Curtailment
% Actual curtailment is calcuated by the division of power generated in
% provided power curve versus power in normal operation mode
cur = 1-P ./ repmat(P(1,:), size(P,1), 1);

%% Plot Actual Curtailment
figure;
plot(V,flip(cur)'*100,'-x');
grid on;
ax = gca;
ax.XTick = V;
xlabel('Wind speed [m/s]');
ylabel('Actual curtailment [%]');
legend('90%', '80%', '70%', '60%', '50%', '40%', '30%', '20%', '10%', '0%', 'Location', 'NorthWest');

%% Plot Actual Curtailment Data Points
curReq = 10:10:90;
colors = colormap;
figure;
hold on;
for ii=1:10
    y = V(ii);
    plot(curReq, ones(size(curReq))*y, 'o', 'Color', colors(60,:));
    plot(flip(cur(:,ii)*100), y, 'o', 'Color', colors(10,:));
end
grid on;
ylabel('Wind speed [m/s]');
xlabel('Actual curtailment [%]');

%% Plot Ct
figure;
hold on;
plot(V(1:10), Ct(1,1:10));
curReq = 10:10:90;
for ii=1:length(curReq)
    Ctii = zeros(1,10);
    for iii=1:10
        if(max(cur(:,iii)) > curReq(ii)/100)
            iiiBefore = sum(cur(:,iii) < curReq(ii)/100);
            Ctii(iii) = interp1([cur(iiiBefore,iii) cur(iiiBefore+1,iii)], ...
                    [Ct(iiiBefore,iii) Ct(iiiBefore+1,iii)], ...
                     curReq(ii)/100);
        end
    end
    
    Ctii(Ctii==0) = nan;
    plot(V(1:10), Ctii, 'Color', colors(ii*6,:));
end
legend('0%', '10%', '20%', '30%', '40%', '50%', '60%', '70%', '80%', '90%', 'Location', 'SouthWest');
grid on;
xlabel('Wind speed [m/s]');
ylabel('C_t [-]');