classdef DefaultTurbineType < TurbineTypeInterface
    properties
        R  = 54;        % Rotor diameter
        
        Vr = 12.5;
        Pr = 3*10^6;
    end
    
    methods        
        function P = power(O, V0)
            P  = O.Pr / O.Vr^3 * V0.^3;
            P(P>O.Pr) = O.Pr;
        end
    end
    
end

