classdef WMWLayout < LayoutInterface
    %UNTITLED3 Summary of this class goes here
    %   Detailed explanation goes here
    
    properties (SetAccess = protected)
        z
        y
        names
    end
    
    methods
        function O = WMWLayout()
            data = fileread('layoutWMW.csv');
            data = strrep(data, '.', '');

            A = textscan(data, '%s %f %f', 'Delimiter', ';', 'EndOfLine', '\r');

            O.names = cell2mat(A{1});
            lats = A{2}  / 100000;
            longs = A{3} / 100000;

            [X,Y] = Spherical2AzimuthalEquidistant(lats(1:48), longs(1:48),lats(1),longs(1),0,0,6371000*pi) ;

            O.z = X - min(X);
            O.y = Y - min(Y);
        end
        
        function mesh = getMesh(O)
            mesh = FineMesh(O);
        end
    end
    
end

