function [interactions, I] = getWakeInteractions( x, y, alpha ) %alpha=wakeangle
    N = length(x);
    interactions = zeros(length(x));
    distances = x*0;
    for ii=1:N
        xi = x(ii);
        yi = y(ii);

        if(xi == 0 && yi == 0)
            distances(ii) = 0; % prevent singularity
        else
            distances(ii) = -sin(atan2(yi,xi))*sqrt(xi^2+yi^2);
        end
    end
    [B,I] = sort(distances, 'ascend');
    I = I(:)'; % force row vector

    iiC = 0;
    focusPoint = tan(pi/2-alpha) * 1;
    

    for ii=I
        iiC = iiC + 1;
        % check turbines downstream, if they are in the wake area
        % TODO include fact that only downstream turbines can be in the wake
        % TODO include different wake shapes (not only linear)
        for iii = (iiC+1):N
            localAngle = atan2(x(I(iii))-x(ii), ...
                focusPoint+y(ii)-y(I(iii)));
            if(localAngle < alpha ...
                    && localAngle > -alpha)
                interactions(ii,I(iii)) = 1;
            end
        end
    end
    % Remove double interactions. E.g. turbine 1 already feels the effect of 7
    % through 4.
    for ii=I
        for iii=1:N
            if(interactions(ii,iii) == 1)
                interactions(ii,:) = interactions(ii,:) - interactions(iii,:);
            end
        end
    end
    % this variable now contains for every turbine on row ii, if turbine iii
    % has an influence on ii (interactions(ii,iii) == 1) or not.
    interactions = interactions > 0;
end

