clear all;
close all;
clc;

% x={0,2.5,4,8,12.5,17,22,28}
x = [ 0   0  1 10 -10 0  10];
y = [-14 -10  0 0   10 10 10];
N = length(x);

wakeangle= 50/180*pi;

colors = lines(5);
% colors = colors(randperm(size(colors,1)),:);

[X, Y] = meshgrid(-30:20,-30:30);

f=figure;
set(f, 'Position', [0 0 1440 800]);
hold on;
axis equal;
axis([-30 30 -30 20]);

for ii = 1:length(x)
    xi = x(ii);
    yi = y(ii);
    
    if ii == 1
        color = colors(2,:);
    else
        color = colors(3,:);
    end
    
    plot(xi, yi, 'o', 'Color', color);
    
    plot([xi-1 xi+1], [yi yi], 'Color', color);
     
    plot([0  sin(wakeangle)/cos(wakeangle)*60]+(xi+1),...
         [0 -cos(wakeangle)/cos(wakeangle)*60]+(yi),  'Color', color);
    
    plot([0 -sin(wakeangle)/cos(wakeangle)*60]+(xi-1),...
         [0 -cos(wakeangle)/cos(wakeangle)*60]+(yi),  'Color', color);
    
end

%%
if(false)
    strings = {'','X', 'Y', 'Z', 'C', 'D', 'E', 'F'};
    for ii=1:N
        text(x(ii)-.3,y(ii)+1,strings(ii), 'FontSize', 24);
    end
end
%%
interactions = getWakeInteractions(x,y,wakeangle);

% plot relations
for ii=1:N
    for iii=1:N
        if(interactions(ii,iii) == 1)
            plot([x(ii) x(iii)],[y(ii) y(iii)], 'Color', colors(1,:));
        end
    end
end