%%
clc;
%clear all;
close all;
%% N. O. Jensen
R    = 54;
k    = .24;
d    = 415;
a    = .33;

AJ  = ones(1, 17);

r    = R + k * d;
K    = R / r;

for ii = 3:17
    AJ(ii) = 1 - 2*a*K * (1 - (a*K)^(ii-1)) / (1 - a * K);
end

%% G. C. Larsen
r    = 0;
D    = 2*R;
C_T  = 4*a*(1-a);
Deff = D*sqrt((1+sqrt(1-C_T)) / (2*sqrt(1-C_T)));
Ia   = .12;
H    = 95;
Rnb  = max(1.08 * D, 1.08 * D + 21.7 * D * (Ia - 0.05));
R95  = 0.5*Rnb + min(H, Rnb);
A    = pi*R^2;
x0   = 9.5 * D / ((2*R95/Deff)^3-1);
c1   = (Deff/2)^(5/2)*(105/(2*pi))^(-1/2) * (C_T * A * x0)^(-5/6);

ALc = 1 -1/9 * (C_T * A * (d+x0)^-2)^(1/3)*(r^(3/2) * (3*c1^2*C_T*A*(d+x0))^(-1/2)-(35/(2*pi))^(3/10)*(3*c1^2)^(-1/5))^2;


AL = ones(1, 17);
for ii = 3:17
    AL(ii) = ALc^(ii-2);
end

%% Plot
figure;
axis tight;
%ylim([0.5 1]);
grid on;
hold on;
plot(lband1 / max(lband1));
plot(AJ);
plot(AL);