clear all;
close all;
clc;
data = dlmread('../Turbinedata/31.csv', ',', 11,1);
%%
time = data(:,1);
windspeed = data(:,1);
winddirection = data(:,2);
power = data(:,3);
temperature = data(:,4);
rotorspeed = data(:,5);
pitchangle = data(:,6:8);

%% Reframe (356->-4) and Filter NaN from Pitch Angle
pitchangle(pitchangle>180) = pitchangle(pitchangle>180) - 360;
pitchangle = pitchangle(find(sum(isnan(pitchangle),2)==0),:);

%% Plot Windspeed & Power
if(true)
    figure;
    plotyy(1:length(windspeed), power, 1:length(windspeed), windspeed);
end
%% Plot wind direction
if(true)
    mask = 7790:7882;
    mask = windspeed<10 & windspeed>8 & power < 2700 & ~isnan(windspeed);
    figure;
    hold on;
    winddirection1 = winddirection;
    windspeed1 = windspeed;
    power1=power;
    for ii=2:(length(windspeed)-1)
        winddirection1(ii) = mean(winddirection((ii-1):(ii+1)));
        windspeed1(ii) = mean(windspeed((ii-1):(ii+1)));
        power1(ii) = mean(power((ii-1):(ii+1)));
    end
    
    mask=1:length(windspeed);
    mask=1550:2050;
    
    cp = power*1000./(0.5*1.225*(windspeed.^3)*pi*54^2);
    cp1 = power1*1000./(0.5*1.225*(windspeed1.^3)*pi*54^2);
    
    plot(winddirection1(mask)/360);
    plot(windspeed1(mask)/15);
    plot(cp1(mask));
    ylim([0 2]);
    
    legend('Wind direction [1/360]', 'Wind speed [1/15]', 'Cp');
    
    %figure;
    %hist(power(mask)./windspeed(mask).^3);
    %plotyy(1:length(mask), windspeed(mask), 1:length(mask), winddirection(mask));
end

% 90: fullstop
% 80: maintenance
% 30: waiting for wind
% 1 maart interessant!!! 4033:4464
% 17-20 maart redelijk Noordewind